Novità in NVDA 


%!includeconf: ../changes.t2tconf
= 2013.1 =
Le caratteristiche più importanti di questa versione comprendono un layout tastiera per i portatili più coerente e intuitivo; il supporto di base per Microsoft PowerPoint; la gestione degli attributi longdesc nei browser web e il supporto per l'immissione del Braille computer per i display braille che dispongono una tastiera braille.

== Importante == 

=== Nuovo layout tastiera laptop === 
Il layout per tastiere laptop è stato completamente rifatto per renderlo più semplice e intuitivo. 
Il nuovo layout utilizza i tasti freccia in combinazione con il tasto NVDA e altri tasti funzione per i comandi di revisione. 

Si consiglia di leggere con attenzione i cambiamenti per i comandi seguenti: 
|| Nome | Tasto | 
| Dire tutto | NVDA+a | 
| Leggere la riga corrente | NVDA+l | 
| Leggere il testo selezionato | NVDA+shift+s | 
| Annunciare il contenuto della barra di stato | NVDA+shift+fine | 
In aggiunta, sono stati cambiati tutti i comandi inerenti la navigazione ad oggetti, la revisione del testo, il click del mouse e la possibilità di modificare al volo le impostazioni del sintetizzatore. 
Si prega di consultare il documento [Comandi rapidi keyCommands.html] per i nuovi tasti.


== Novità ==
- Supporto di base alla modifica e alla lettura delle presentazioni in Microsoft Powerpoint. (#501)
- Supporto alla lettura e scrittura dei messaggi in Lotus Notes 8.5. (#543)
- Supporto per il cambio automatico della lingua durante la lettura documenti in Microsoft Word. (#2047)
- In modalità navigazione MSHTML (ad esempio Internet Explorer) e Gecko (ad esempio Firefox), viene annunciata l'esistenza delle descrizioni degli elementi se esistente, tramite l'interpretazione dell'attributo longdesc. è anche possibile aprire la descrizione in una nuova finestra tramite nvda+d. (#809)
- Ora vengono annunciate le notifiche in Internet Explorer 9 e superiori, ad esempio download di file o contenuti bloccati. (#2343)
- Annuncio automatico delle intestazioni riga/colonna nelle tabelle per la modalità navigazione in Internet Explorer e altri controlli MSHTML. (#778)
- Nuove lingue: Aragonese, irlandese
- Nuove tabelle Braille: Danese grado 2, Coreano grado 1. (#2737)
- Supporto per i display Braille connessi tramite Bluetooth su computer che eseguono lo stack Bluetooth prodotto da Toshiba. (#2419)
- Supporto per la selezione della porta per i Display Braille Freedom Scientific (Automatica, Usb o Bluetooth).
- Supporto per i display Braille Braillenote della Humanware quando configurati per funzionare come periferica per screen reader. (#2012)
- Supporto ai vecchi modelli Papenmeier utilizzati tramite porta seriale. (#2679)
- Supporto alla scrittura diretta tramite display braille con tastiera in stile perkins. (#804)
- - Nuove impostazioni della tastiera che consentono di selezionare se NVDA debba interrompere il parlato per i caratteri digitati e o il tasto ENTER. (#698)
- Supporto per diversi browser basati su Google Chrome: Rockmelt, BlackHawk, Comodo Dragon e SRWare Iron. (#2236, #2813, #2814, #2815)
 
 
== Cambiamenti ==
- Aggiornato liblouis Braille Translator alla versione 2.5.2. (#2737)
- Il layout tastiera laptop è stato completamente riprogettato in modo da renderlo più intuitivo e coerente. (#804)
- Aggiornata Espeak alla versione 1.47.11. (#2680, #3124, #3132, #3141, #3143, #3172)
 
 
 == Bug Corretti ==
- Il tasto rapido per spostarsi di sezione in sezione ora funziona anche con Internet Explorer. (#2781)
- Se NVDA non riesce a caricare un sintetizzatore all'avvio ed è costretto a parlare tramite Espeak, la configurazione viene lasciata inalterata, il che significa che la prossima volta che si riavvierà NVDA, tenterà di caricare ancora il sintetizzatore scelto dall'utente in precedenza, anziché mantenere Espeak come predefinito. (#2589)
- Nelle applicazioni Mozilla in modalità navigazione, vengono ora riportati correttamente gli aggiornamenti delle tabelle. Ad esempio, nelle celle aggiornate, vengono annunciate correttamente le coordinate delle colonne e delle righe. (#2684)
- Nei browser web in modalità navigazione, ora vengono intercettati anche elementi grafici cliccabili non etichettati che non venivano mostrati in precedenza. (#2838)
- Vengono supportate tutte le versioni  del programma SecureCRT. (#2800)
- Per i metodi di immissione asiatici come "Easy dots IME" in Windows Xp,  la stringa di lettura viene annunciata correttamente.
- L'elenco dei suggerimenti nel metodo di immissione cinese semplificato Microsoft Pinyin input method su Windows 7 viene ora letto correttamente  quando si cambia pagina con le frecce destra e sinistra, e quando viene aperto col tasto home..
- Quando viene salvata la pronuncia di un nuovo simbolo, il campo "preserve" non viene più rimosso.
- Quando il controllo aggiornamenti  viene disattivato, NVDA non necessita più di essere riavviato affinché le modifiche abbiano effetto.
- NVDA non ha più problemi nell'avviarsi nel caso in cui un componente aggiuntivo non possa essere rimosso in quanto la directory che lo contiene è in uso da un'altra applicazione. (#2860)
- Le etichette delle schede in Dropbox, ad esempio quelle nella finestra preferenze, possono ora essere raggiunte anche con la navigazione in linea.
- Se la lingua di immissione viene modificata in un valore diverso da quello predefinito, NVDA individua correttamente i tasti per l'aiuto immissione e per i comandi.
- Per le lingue come il tedesco in cui il (più) + è un tasto singolo  sulla tastiera, è ora possibile associare i comandi ad esso usando la parola "plus". (#2898)
- In Internet Explorer e altri controlli MSHTML, i blocchi tra virgolette vengono  ora annunciati correttamente nella posizione appropriata. (#2888)
- Il Display braille HumanWare Brailliant BI / B può ora essere selezionato quando il display è collegato tramite Bluetooth, ma non è mai stato collegato via USB.
- L'operazione di filtraggio degli elementi nell'elenco elementi della modalità navigazione è stata migliorata. (#2951)
- Quando si utilizza un browser Mozilla, può essere usata di nuovo la modalità navigazione in presenza di oggetti flash. (#2546)
- Quando si utilizza una tabella con braille contratto e l'opzione espandi la parola sotto al cursore è attiva, il cursore braille viene ora posizionato correttamente quando collocato dopo una parola laddove un carattere è rappresentato da celle braille multiple (ad esempio segno per maiuscole, lettere, numeri etc.). (#2947)
- La selezione del testo è ora visualizzata correttamente  sul display braille nei campi editazione di applicazioni come Microsoft Word 2003 e Internet Explorer.
- è di nuovo possibile selezionare il testo all'indietro in Microsoft Word quando il Braille è abilitato.
- Durante la revisione o la cancellazione del testo col tasto canc o backspace nei controlli scintilla, NVDA ora annuncia correttamente i caratteri multibyte. (#2855)
- NVDA non si rifiuterà più di installarsi quando il percorso del profilo utente contiene caratteri multibyte. (#2729)
- L'annuncio dei gruppi per i controlli visualizzazione ad elenco di tipo SysListview32) in applicazioni a 64 bit non causa più un errore.
- In modalità navigazione nelle applicazioni Mozilla, il contenuto del testo non è più considerato come modificabile in alcuni rari casi. (#2959)
- In IBM Lotus Symphony e Openoffice, lo spostamento del cursore di sistema provoca anche lo spostamento del cursore di controllo se necessario.
- I contenuti di tipo Adobe Flash sono ora accessibili in Internet Explorer in Windows 8. (#2454)
- Corretto il supporto Bluetooth per il display braille Trio della Papenmeier. (#2995)
- Sistemato un problema che non permetteva l'utilizzo di alcune sintesi vocali Sapi5 come Koba Speech. (#2629)
- Nelle applicazioni che utilizzano Java Access Bridge, ora il display braille viene aggiornato correttamente quando il cursore si sposta nei campi editazione. (#3107)
- In modalità navigazione, migliorato il supporto ai form che utilizzano le sezioni. (#2997)
- Migliorata in Espeak la lettura carattere per carattere. (#3106)
- NVDA ora è in grado di copiare la configurazione utente nella configurazione da usarsi per le schermate di logon, anche quando il percorso del profilo utente contiene caratteri non-ascii. (#3092)
- NVDA non si blocca più quando si utilizza l'immissione di caratteri asiatici in alcune applicazioni .NET. (#3005)


== Cambiamenti per sviluppatori ==
- I driver dei display braille supportano la selezione manuale della porta. (#426)
 - Questo risulta molto utile per i display braille che supportano il collegamento tramite una porta seriale.
 - L'operazione viene effettuata utilizzando la classe getPossiblePorts sulla classe BrailleDisplayDriver.
- Viene supportata l'immissione tramite tastiera braille. (#808)
 - L'immissione braille è gestita dalla classe brailleInput.BrailleInputGesture o una sottoclasse della stessa.
 - Le sottoclassi braille.BrailleDisplayGesture (come implementate nei driver dei display braille) possono anche ereditare da brailleInput.BrailleInputGesture. Ciò permette la gestione dei comandi dei display braille e dell'immissione braille dalla stessa classe gesture.
- È ora possibile utilizzare comHelper.getActiveObject per ottenere un oggetto COM attivo da un processo normale quando NVDA è in esecuzione con privilegi uiAccess. (#2483)


= 2012.3 =
Le novità principali in questa versione sono costituite dal supporto all'immissione dei caratteri asiatici; supporto sperimentale ai dispositivi touch screen in Windows 8; l'annuncio dei numeri di pagina e un notevole miglioramento per le tabelle in Adobe Reader; il poter usare comandi di navigazione delle tabelle nelle finestre con visualizzazioni ad elenco; supporto per molti nuovi display braille; e la possibilità di annunciare le intestazioni di righe e colonne in Excel.

== Novità ==
- NVDA è ora in grado di supportare la modalità di immissione per i caratteri asiatici, usando la tecnologia IME e i servizi di testo resi disponibili nelle applicazioni, comprendenti:
 - Annuncio e navigazione tra l'elenco dei caratteri suggeriti
 - Annuncio e navigazione tra le stringhe di composizione
 - Annuncio delle stringhe di lettura.
- In Adobe Reader vengono ora individuati elementi come sottolineato e barrato. (#2410)
- Quando la funzione "tasti permanenti" in Windows è attiva, il tasto funzione di NVDA si comporterà come gli altri tasti funzione. Questo permette di poter usare il tasto funzione di NVDA senza doverlo tenere premuto mentre si premono altri tasti. (#230)
- è ora supportato l'annuncio automatico delle intestazioni di righe e colonne in Excel. Premere NVDA+shift+c per impostare la riga che contiene le intestazioni colonna e NVDA+shift+r per impostare la colonna che contiene le intestazioni riga. Premere gli stessi comandi due volte in rapida successione per rimuovere tali impostazioni. (#1519)
- Supporto per i display Braille della Hims BrailleSense, Braille Edge e SyncBraille. (#1266, #1267)
- Quando appare una notifica in Windows8, NVDA la annuncerà se l'opzione "leggi i fumetti d'aiuto" risulta attiva. (#2143)
- Supporto sperimentale per il touch screen in Windows8, comprendente:
 - Lettura del testo situato sotto le dita mentre ci si sposta
 - Gesti dedicati per effettuare la navigazione ad oggetti, la revisione del testo ed altri comandi di NVDA
- Supporto per Vip Mud. (#1728)
- In Adobe Reader, se una tabella ha un riassunto, esso viene letto correttamente. 
- In Adobe Reader, possono essere annunciate le intestazioni di righe e colonne. (#2193, #2527, #2528)
- Nuove lingue: Amharic, Coreano, Nepalese, sloveno.
- NVDA è in grado di leggere i suggerimenti nell'autocompletamento quando si inserisce un indirizzo in Microsoft Outlook 2007. (#689)
- Nuove varianti di voce Espeak: Gene, Gene2. (#2512)
- In Adobe Reader, ora possono venir annunciati i numeri di pagina. (#2534)
- In Reader XI, le etichette delle pagine vengono annunciate laddove presenti, in accordo con i cambiamenti dei numeri di pagina nelle diverse sezioni, etc. Nelle versioni precedenti, questo non risulta possibile e vengono annunciate solo le numerazioni di pagina sequenziali..
- è ora possibile ripristinare la configurazione di NVDA ai suoi valori di fabbrica sia premendo NVDA+control+r tre volte velocemente, oppure selezionando ripristina ai valori di fabbrica dal menu di NVDA.(#2086)
- Supporto per i Display Braille Seika Versione 3, 4 e 5 e Seika80 prodotti da Nippon Telesoft. (#2452)
- Il primo e l'ultimo pulsante superiore nel Pac Mate e nei Display Braille Focus di Freedom Scientific  può ora essere usato per scorrere in avanti e indietro. (#2556)
- Vengono implementate molte più funzioni con i tasti dei Display Braille della Freedom Scientific. (#2516)
- Nei programmi che fanno uso di IAccessible2 come le applicazioni Mozilla, le intestazioni delle righe e delle colonne possono essere annunciate al di fuori della modalità navigazione. (#926)
- Supporto iniziale al controllo documenti in Microsoft Word 2013. (#2543)
- Nelle applicazioni che fanno uso di Iaccessible2 come i programmi di Mozilla, può essere annunciato l'allineamento del testo. (#2612)
- Quando si incontra una riga di una tabella, o una visualizzazione ad elenco standard di Windows contenente molte colonne, si possono utilizzare i comandi di navigazione tabelle per esplorare il contenuto delle celle. (#828)
- Nuove tabelle di traduzione Braille: Estone Grado 0, Portoghese Braille Computer 8 punti, Italiano 6 punti. (#2139, #2662)
- Se NVDA è installato nel sistema, l'apertura diretta di un componente aggiuntivo (o da risorse del computer, oppure dal browser web dopo il download) lo installerà in NVDA. (#2306)
- Introdotto il supporto per i nuovi display braille Braillex Papenmeier. (#1265)
- Nelle visualizzazioni ad elenco come quelle presenti in risorse del computer in Windows7 o superiori, Vengono ora annunciate le informazioni sulla posizione (ad esempio 1 di 4). (#2643)


== Cambiamenti ==
- Nella finestra di dialogo preferenze/cursore di controllo, la voce "Segui il cursore della tastiera" è stata sostituita con "Segui il cursore di sistema", per adeguarsi alla terminologia attuale dello screen reader.
- Se il braille segue il cursore di controllo e il cursore si trova in un oggetto non testuale (ad esempio campo editazione), i tasti di cursor routing ora attiveranno l'oggetto. (#2386)
- L'opzione Salva le impostazioni all'uscita è ora resa predefinita per le nuove configurazioni.
- Durante l'aggiornamento di una versione precedente di NVDA, il tasto di scelta rapida Control+Alt+n non viene più assegnato forzatamente, nel caso l'utente lo avesse associato ad un'altra combinazione. (#2572)
- Nell'elenco componenti aggiuntivi, ora viene visualizzato prima il nome del pacchetto seguito dallo stato. (#2548)
- Se viene installato un componente aggiuntivo già presente, sia che la versione sia la stessa o una diversa, NVDA ora chiederà di rimuovere il vecchio ed installare il nuovo, piuttosto che dare un generico messaggio d'errore. (#2501)
- I comandi di navigazione ad oggetti (ad eccezione del comando annuncia l'oggetto corrente) sono stati resi meno prolissi. è sempre possibile ottenere informazioni aggiuntive utilizzando il comando annuncia l'oggetto corrente.
- Aggiornate le librerie LibLouis alla versione 2.5.1. (#2319, #2480, #2662, #2672)
- la voce "Guida rapida ai comandi da tastiera" è stata cambiata in "Guida rapida ai comandi" in quanto ora al suo interno si possono trovare anche riferimenti ai gesti, oltre che ai comandi da tastiera.
- La lista elementi in modalità navigazione ricorderà l'ultimo tipo di elemento mostrato (ad esempio link, intestazioni o sezioni) ogni qualvolta la finestra appaia nella medesima sessione di NVDA. (#365)
- La maggior parte delle App Metro in Windows 8 (ad esempio Mail, Calendario) non attiverà più la modalità navigazione per l'intera app.
- Aggiornato Handy Tech BrailleDriver COM-Server alla versione 1.4.2.0.


== Bug corretti ==
- In Windows Vista e versioni successive, NVDA non considera più erroneamente il tasto Windows come premuto, quando si ritorna a Windows dopo averlo bloccato premendo la combinazione windows-l. (#1856)
- In Adobe Reader, le intestazioni delle righe ora sono correttamente viste come celle di tabella; ad esempio, le coordinate ora vengono annunciate e gli elementi possono essere raggiunti tramite i comandi di navigazione standard. (#2444)
- in Adobe reader, le celle di una tabella che occupano più di una colonna o di una riga sono ora trattate correttamente. (#2437, #2438, #2450)
- Il pacchetto di distribuzione di NVDA ora effettua un controllo di integrità prima di essere eseguito. (#2475)
- I file temporanei scaricati verranno eliminati nel caso il download dell'aggiornamento fallisca. (#2477)
- Quando viene copiata la configurazione utente nella configurazione di sistema, (per essere usata nelle finestre di Logon e altre schermate di sicurezza), NVDA non si bloccherà più in Windows XP durante l'operazione. (#2485)
- Vengono presentate in maniera più omogenea le mattonelle nella schermata iniziale di Windows8 sia tramite sintesi vocale che braille. Il nome non viene più ripetuto, lo stato di non selezionato non viene più annunciato per ogni mattonella, e le informazioni live di stato vengono riportate come descrizione della mattonella (ad esempio l'attuale temperatura nella mattonella meteo).
- Le password non vengono più annunciate durante la lettura dei campi password in Microsoft Outlook e altri controlli editazione standard che sono marcati come protetti. (#2021)
- In Adobe Reader, le modifiche ai campi dei form vengono individuate anche in modalità navigazione. (#2529)
- Miglioramenti al supporto del controllo ortografico di Microsoft Word, che comprendono una lettura più accurata della parola che contiene l'errore, e la possibilità di usare tale funzione anche con copie installate di NVDA su sistemi operativi Windows Vista.
- I componenti aggiuntivi che contengono al loro interno file con caratteri non inglesi possono essere installati correttamente nella maggior parte dei casi. (#2505)
- In Adobe Reader, la lingua del documento non viene più persa quando lo si aggiorna o si effettuano operazioni di scorrimento. (#2544)
- Durante l'installazione di un componente aggiuntivo, la finestra di conferma ora visualizza correttamente il nome del componente nella lingua dell'utente, se disponibile. (#2422)
- Nelle applicazioni che fanno uso della tecnologia UI Automation (come i programmi .net o Silverlight), il calcolo dei valori numerici per i controlli come i cursori di avanzamento è stato corretto. (#2417)
- La configurazione per l'annuncio delle barre di avanzamento viene ora rispettata anche per quei controlli di NVDA dove non è possibile determinarne la dimensione, come l'installazione, la creazione di una copia portable, etc. (#2574)
- I comandi di NVDA non possono più essere impartiti tramite barra braille se ci si trova nelle schermate di sicurezza di Windows come la finestra di login. (#2449)
- Nella modalità navigazione, il braille viene aggiornato quando il testo visualizzato cambia. (#2074)
- Quando ci si trova in una finestra di sicurezza, i messaggi provenienti dalle applicazioni che vogliono parlare o mostrare informazioni in Braille tramite NVDA vengono ignorati.
- Nella modalità navigazione, NVDA non tornerà più all'inizio del documento se si va alla fine e si preme ripetutamente la freccia a destra. (#2463)
- Quando si legge la finestra di dialogo di un'applicazione web, non vengono più annunciati contenuti non appartenenti al contesto. (#2390)
- NVDA ora non riporta più erroneamente alcuni campi editazione non esistenti, specialmente in Internet Explorer, quando l'autore della pagina web ha dichiarato un ruolo Aria esplicitamente. (#2435)
- Il tasto Backspace viene intercettato correttamente anche quando l'opzione "leggi le parole digitate" è attivata, nel prompt dei comandi. (#2586)
- Le coordinate delle celle in Microsoft Excel vengono di nuovo visualizzate in Braille.
- In Microsoft Word, NVDA non presenta più problemi nell'esplorazione di un paragrafo avente elenchi puntati o numerati. (#2402)
- Nella modalità navigazione nelle applicazioni Mozilla, gli elementi in alcune caselle ad elenco (nello specifico, caselle ad elenco ARIA), non vengono più interpretati in maniera errata.
- Nelle applicazioni web Mozilla, NVDA nasconde il contenuto che è stato marcato come nascosto per gli screen reader (nello specifico, si tratta dell'attributo aria-hidden). (#2117)
- Nelle applicazioni web Mozilla in modalità navigazione, alcuni controlli che venivano interpretati con un etichetta non corretta o proprio con uno spazio bianco, ora vengono riconosciuti correttamente.
- Nelle applicazioni web Mozilla in modalità navigazione, sono stati eliminati alcuni spazi bianchi che non avevano motivo di esistere.
- Nei browser web in modalità navigazione, alcuni grafici che sono considerati esplicitamente di presentazione (in sostanza quelli che contengono la stringa alt=""), vengono definitivamente ignorati.
- Le quantità negative di valuta (ad esempio -123$) ora vengono annunciate in maniera corretta. (#2625)
- Durante la modalità Dire tutto, NVDA non tornerà più erroneamente alla lingua predefinita, se la riga non termina con un punto. (#2630)
- vengono riconosciute correttamente le informazioni sul carattere in Adobe Reader 10.1 e successivi. (2175)
- In Adobe Reader, se viene fornito del testo alternativo, verrà analizzato soltanto questo. In precedenza, talvolta veniva incluso del testo con caratteri incomprensibili. (#2174)
- Nei browser web, se ci si trova in un documento che contiene un'applicazione, il contenuto di tale applicazione non viene più mostrato in modalità navigazione. Questo per prevenire la possibilità di finire inavvertitamente dentro l'applicazione durante la navigazione. Si può interagire con tale applicazione nello stesso modo in cui si interagisce con gli oggetti. (#990) 
- Nelle applicazioni Mozilla, viene calcolato correttamente il valore dei pulsanti spin. (#2653)
- Aggiornato il supporto per Adobe Digital Editions in modo che ora sia in grado di funzionare nella versione 2.0. (#2688)
- La pressione della combinazione di tasti NVDA+FrecciaSu mentre ci si trova in una casella combinata in Internet Explorer e altri documenti MSHTML non causerà più la lettura errata di tutti gli elementi. Verrà letto soltanto l'elemento attivo. (#2337)
- I dizionari sono in grado di salvare correttamente termini che contengano al proprio interno il simbolo cancelletto (#) (#961)
- In modalità navigazione usando Internet Explorer o comunque in documenti Mshtml, vengono visualizzati correttamente contenuti visibili messi all'interno di contenuti nascosti. Nello specifico, elementi con uno stile visibility:visible all'interno di un elemento con stile visibility:hidden). (#2097)
- I link presenti nel centro sicurezza di Windows Xp non vengono più accompagnati da caratteri strani dopo il proprio nome. (#1331)
- Vengono annunciati correttamente i controlli di testo UI Automation (come la casella di ricerca in Windows7) quando si sposta il mouse su di essi.
- Non vengono più annunciati i cambiamenti di layout tastiera durante la lettura continua di un testo. Questo era particolarmente fastidioso per la lingua araba in documenti che contenevano numerosi cambiamenti di linguaggio. (#1676)
- Se un controllo di testo UI Automation (come la casella di ricerca in Windows7) cambia, non viene più ripetuto tutte le volte il contenuto per intero.
- Quando ci si sposta tra i gruppi nella schermata iniziale di Windows8, il nome della prima mattonella non viene più interpretato come nome del gruppo, il che dovrebbe velocizzare la navigazione. (#2658)
- Quando viene aperta la schermata iniziale di Windows8, il focus viene ora posto correttamente sulla prima mattonella. (#2720)
- NVDA non darà più messaggi di errore all'avvio se il percorso nome profilo utente contiene alcuni caratteri multibyte. (#2729)
- In Google Chrome, il testo delle schede viene visualizzato correttamente anche in modalità navigazione.
- Nella modalità navigazione, vengono annunciati correttamente i bottoni dei menu.
- In OpenOffice.org/LibreOffice Calc, ora avviene correttamente la lettura delle celle dei fogli di calcolo. (#2765)
- NVDA funziona di nuovo nell'elenco messaggi di Yahoo Mail in Internet Explorer. (#2780)


== Cambiamenti per sviluppatori ==
- Il file di log precedente ora viene copiato nel file nvda-old.log subito dopo l'inizializzazione di NVDA. Tenere presente che se NVDA dovesse riavviarsi o crashare, le informazioni di log per quella sessione sono ancora accessibili. (#916)
- Il recuperare le proprietà di un ruolo in chooseNVDAObjectOverlayClasses ora funzionerà correttamente  anche negli oggetti aventi controlli Scintilla o prompt dei comandi. (#2569)
- I menu di NVDA Preferenze, Strumenti e Aiuto ora sono accessibili  come attributi su gui.mainFrame.sysTrayIcon chiamati rispettivamente preferencesMenu, toolsMenu e helpMenu. Questo permette ai componenti aggiuntivi di aggiungere voci a questi menu in maniera più rapida.
- Lo script navigatorObject_doDefaultAction in globalCommands è stato rinominato review_activate.
- Introdotto il supporto per i messaggi di contesto gettext. Questo significa che possono essere definite più traduzioni per un singolo messaggio inglese, che dipenderanno dal contesto. (#1524)
 - Realizzato grazie alla funzione pgettext(context, message).
 - Viene garantito il supporto sia per NVDA che per i componenti aggiuntivi.
 - Devono essere utilizzati xgettext e msgfmt da GNU gettext per la creazione dei file PO e MO. Gli strumenti python non supportano i messaggi di contesto.
 - Per xgettext, passare --keyword=pgettext:1c,2 come argomento da linea di comando per abilitare l'inclusione dei messaggi di contesto.
 - vedere http://www.gnu.org/software/gettext/manual/html_node/Contexts.html#Contexts per maggiori informazioni.
- è ora possibile accedere ai moduli interni a NVDA quando essi sono sovrascritti da moduli di terze parti. Si veda nvdaBuiltin module per dettagli.
- Può essere utilizzato il supporto alla traduzione dei componenti aggiuntivi all'interno del modulo installTasks. (#2715)


= 2012.2.1 =
Questa versione sistema pareccchi potenziali problemi di sicurezza, in seguito all'aggiornamento a Python 2.7.3.


= 2012.2 =
Le principali novità in questa versione riguardano la creazione di versioni portable e installer direttamente da un unico pacchetto, una funzione di aggiornamento automatico, una gestione semplificata dei componenti aggiuntivi, l'annuncio dei grafici in Microsoft Word, il supporto per le applicazioni in stile Metro in Windows8 e la risoluzione di importanti bug.

== Novità ==
- NVDA è in grado di controllare e scaricare nuove versioni e aggiornamenti dello screen reader. (#73)
- Le funzioni di NVDA possono essere aumentate tramite la gestione di plugin personalizzati e driver, grazie al gestore di componenti aggiuntivi (situato alla voce strumenti del menu di NVDA) che permette l'installazione e disinstallazione dei pacchetti aventi come estensione nvda-addon. Si noti che il Gestore di componenti aggiuntivi non è in grado di rilevare componenti installati in precedenza dall'utente. (#213)
- Molte funzionalità comuni di NVDA nelle applicazioni che usano l'interfaccia Metro di Windows8 ora si comportano correttamente, quando viene utilizzata una versione installer di NVDA, compreso l'annuncio dei caratteri digitati, e la modalità navigazione per i documenti web (incluso il supporto per la versione Metro di Internet Explorer 10). Le copie portabili di NVDA non possono accedere alle app in stile Metro. (#1801)
- Nei documenti in modalità navigazione (Internet Explorer, Firefox, etc) è ora possibile saltare all'inizio o alla fine di elenchi, frame o tabelle, con i tasti "Shift+;" e ",". (#123)
- Nuova lingua: Greco.
- In Microsoft Word, vengono ora visualizzati i grafici e il testo alternativo. (#2282, #1541)
 

== Cambiamenti ==
- L'annuncio delle coordinate delle celle in Microsoft Excel avviene dopo il contenuto e non prima, e risulta attivo soltanto se le opzioni "leggi le tabelle" e "leggi le coordinate di una cella in una tabella, situate sulla finestra di dialogo formattazione documento, sono attive. (#320)
- NVDA viene ora distribuito in un unico pacchetto. Invece di avere due pacchetti diversi formati da un installer e una portable, ora è a disposizione un file unico che, una volta eseguito, farà avviare una copia temporanea di NVDA, permettendo o l'installazione di NVDA, oppure la generazione di una distribuzione portable. (#1715)
- NVDA viene installato ora nella cartella programmi su tutti i sistemi operativi. L'aggiornamento da una versione precedente causerà lo spostamento dei file in tale cartella.


== Bug Corretti ==
- Con l'opzione "cambia la lingua automaticamente" attiva, il testo ricavato da grafici o etichette nelle applicazioni Mozilla Gecko (come Firefox) viene ora letto nella lingua appropriata.
- Il comando  dire tutto non si ferma più nel mezzo di un testo nel programma Bibleseeker e nei controlli editazioni di tipo  TRxRichEdit.
- Vengono letti correttamente gli elenchi situati in Windows8 Explorer, scheda permessi della finestra proprietà, e anche quelli nella finestra Windows Update.
- NVDA non rallenta più nei documenti Word in presenza di righe molto lunghe, o di sommari complessi, e in tutte le circostanze in cui necessitano più di due secondi per ottenere informazioni dal documento. (#2191)
- Il rilevamento della fine di una parola ora funziona correttamente anche in presenza di spazi bianchi seguiti da certi simboli di punteggiatura. (#1656)
- In Adobe Reader, quando si utilizza la modalità navigazione, ora è possibile navigare per intestazioni senza un livello utilizzando i tasti di navigazione veloce e l'elenco elementi. (#2181)
- In Winamp, il braille viene aggiornato correttamente quando ci si sposta in un elemento diverso nell'editor playlist. (#1912)
- L'albero nell'elenco elementi (disponibile nei documenti in modalità navigazione) è ora ridimensionato per visualizzare il testo di ciascun elemento. (#2276)
- Nelle applicazioni che fanno uso di Java Access bridge, i campi editazione ora vengono mostrati correttamente in Braille. (#2284)
- Nelle applicazioni che fanno uso di Java Access bridge, i campi editazione non vengono più visualizzati con caratteri strani in alcune circostanze. (#1892)
- In modalità navigazione nelle applicazioni che utilizzano Mozilla Gecko 14 e successivi (ad esempio Firefox 14), i tasti di navigazione veloce funzionano nei blocchi tra virgolette e negli oggetti. (#2287)
- In Internet Explorer 9, NVDA non legge più contenuti non desiderati quando il focus si sposta all'interno di un elemento div che risulta evidenziabile o che è marcato con una sezione ARIA.
- L'icona di NVDA nel desktop e i collegamenti nel menu di avvio nei sistemi a 64 bit sono visualizzati ora correttamente. (#354)


== Cambiamenti per sviluppatori ==
- A causa della sostituzione del precedente NSIS Installer per NVDA con uno integrato in Python, non è più necessario per i traduttori lavorare sul file langstrings.txt per l'installer. Tutte le stringhe vengono ora gestite dai file gettext po.


= 2012.1 =
Le principali novità di questa versione si concentrano su una lettura del braille molto più fluida; la formattazione dei documenti è indicata anche in braille; accesso a molte più informazioni di formattazione e una migliore gestione di Microsoft Word; inoltre, accesso semplificato e intuitivo all'Itunes Store. 

== Novità ==
- NVDA è in grado di annunciare il numero di spazi e di rientri nella riga attuale, nell'ordine in cui sono stati inseriti. Questo può essere attivato selezionando l'opzione annuncia rientri riga nella finestra di dialogo formattazione documento. (#373)
- NVDA è in grado di rilevare la pressione dei tasti proveniente da tastiere alternative che lavorano in emulazione come tastiere a schermo o programmi di riconoscimento vocale.
- NVDA è in grado di rilevare i colori nelle finestre console, come prompt dei comandi.
- Vengono indicati in braille i simboli di sottolineato, grassetto e corsivo, utilizzando i segni della tabella braille selezionata. (#538)
- Vengono annunciate molte più informazioni nei documenti Microsoft word, che comprendono:
- Informazioni in linea come note a piè di pagina e note a fine testo, numerazioni, livello intestazioni, l'esistenza di commenti, livello di annidamento delle tabelle, link e colori del testo;
- Annuncio di quando si raggiungono sezioni del documento come l'elenco dei commenti, delle note a piè di pagina o note a fine testo, e delle intestazioni e piè di pagina.
- In braille, i puntini 7 e 8 indicano la selezione del testo. (#889)
- Vengono riportate in braille informazioni sui controlli contenuti nei documenti, come link, intestazioni e pulsanti. (#202)
- Supporto per  i display Braille hedo ProfiLine e MobilLine USB. (#1863, #1897)
- NVDA ora cerca di evitare di spezzare le parole in braille di default. Questo può venir disattivato nelle impostazioni braille. (#1890, #1946)
- E' ora possibile usufruire in braille della lettura per paragrafi, oltre che per righe, che dovrebbe offrire una consultazione più comoda in grandi porzioni di testo. Tale opzione è selezionabile dalle impostazioni Braille, voce lettura per paragrafi. (#1891)
- In modalità navigazione, è possibile attivare un oggetto direttamente utilizzando una barra braille. Sarà sufficiente fare doppio click con il cursor routing corrispondente, oppure, nel caso il cursore sia già alla posizione desiderata, basterà un click solo. (#1893)
- Introdotto un supporto di base nelle aree web di Itunes, come lo store. Possono essere supportate anche altre applicazioni che utilizzino WebKit 1. (#734)
- Nei libri in Adobe Digital Edition 1.8.1 e versioni successive, le pagine verranno girate automaticamente anche utilizzando l'opzione dire tutto. (#1978)
- Nuove tabelle di traduzione Braille: Portoghese Grado 2, Islandese 8 punti Braille Computer, Tamil Grado 1, Spagnolo 8 punti Braille Computer, Farsi Grado 1. (#2014)
- E' ora possibile configurare dalla finestra Formato documento se i frame debbano essere annunciati o meno, tramite l'opzione Leggi Frame. (#1900)
- Viene attivata automaticamente la modalità riposo per il programma Openbook. (#1209)
- In Poedit, ora i traduttori sono in grado di leggere automaticamente i commenti estratti e i commenti aggiunti nelle traduzioni. I messaggi che risultano non ancora tradotti o che sono incerti sono marcati con un asterisco e viene prodotto un beep quando li si raggiunge. (#1811)
- Supporto per i Display Braille Serie HumanWare Brailliant BI e B (#1990)
- Nuova Lingua: Norvegese Bokmål.


== Cambiamenti ==
- Il comando che consente di ottenere una descrizione del carattere attuale o di ascoltare lo spelling della parola o della riga ora funzionerà esattamente con la lingua del testo, se l'opzione cambio lingua automatica risulta attiva e sono disponibili le informazioni appropriate per la lingua.
- Aggiornata Espeak alla versione 1.46.02.
- NVDA non visualizzerà nomi più lunghi di 30 caratteri quando essi vengono presi da grafici o link degli URL, in quanto generalmente si tratta di informazioni di poco conto che disturbano la lettura. (#1989)
- Molte informazioni in braille sono state abbreviate. (#1955, #2043)
- Quando il cursore, oppure il cursore di controllo, viene spostato, il Braille lo seguirà correttamente come se avvenisse uno scorrimento manuale. Il risultato è una lettura più fluida quando l'opzione "lettura per paragrafi", o "evita di spezzare le parole", è attiva. (#1996)
- Aggiornamento alla nuova tabella Braille Spagnola Grado1
- Aggiornamento a libblouis braille translator 2.4.1.


== Bug corretti ==
- In Windows8, il focus non viene più spostato erroneamente al di fuori del campo di ricerca in Windows Explorer, il che non permetteva a NVDA di interagire con esso.
- Notevole aumento delle prestazioni durante la lettura e l'esplorazione di documenti word quando l'opzione annuncio automatico  formattazione è attiva, il che consente la correzione dei documenti in maniera più confortevole. Aumento in generale delle prestazioni in Microsoft Word.
- La modalità navigazione è utilizzata ora anche nei contenuti  flash a tutto schermo.
- Risolto un problema che faceva ascoltare le voci Microsoft Speech Api Versione 5 con audio scadente, nel caso fosse selezionata una periferica audio diversa da sound mapper. (#749)
- NVDA ora funziona nuovamente con i display braille, anche se la sintesi vocale è impostata su Nessun Sintetizzatore. (#1963)
- I comandi per la navigazione ad oggetti non annunceranno più  nessun oggetto genitore/figlio, ma utilizzeranno gli stessi termini della documentazione.
- Quando NVDA viene configurato nell'utilizzare una lingua diversa dall'inglese, il nome del tasto tab viene annunciato nella lingua corretta.
- Nelle applicazioni Mozilla Gecko (ad esempio Firefox), NVDA non attiverà più in maniera intermittente la modalità navigazione quando si esplorano i menu nei documenti. (#2025)
- Nella calcolatrice, la pressione del tasto Backspace ora annuncia il risultato aggiornato, piuttosto che non dire nulla. (#2030)
- Nella modalità navigazione,  il comando "sposta il puntatore del mouse sull'oggetto attuale del navigatore) ora porterà il mouse al centro dell'oggetto sul quale è situato il cursore di controllo, invece che in alto a sinistra, il che rende questa operazione più accurata in alcune circostanze. (#2029)
- In modalità navigazione, se l'opzione Modalita' focus automatica per i cambiamenti del focus è attiva, il portarsi in una barra degli strumenti farà attivare la modalità focus. (#1339)
- Il comando Leggi titolo ora funziona di nuovo correttamente in Adobe Reader.
- Quando l'opzione "modalità del focus automatica per i cambiamenti del focus" è attiva, viene utilizzata correttamente la modalità focus nelle tabelle e naturalmente nelle celle (esempio griglie). (#1763)
- In Itunes, la posizione in alcune visualizzazioni ad elenco è ora riportata correttamente.
- In Adobe Reader,  alcuni link non sono più trattati come campi editazione di sola lettura.
- Le etichette di alcuni campi editazione non vengono più incluse in maniera non corretta quando viene annunciato il testo di una finestra di dialogo. (#1960)
- Viene annunciata nuovamente la descrizione dei raggruppamenti, se l'opzione annuncia descrizione degli oggetti è attiva.
- La finestra di dialogo inerente le proprietà di un'unità disco in risorse del computer  viene gestita in maniera migliore indipendentemente dalla dimensione dei caratteri.
- E' stato sistemato un problema che causava la doppia lettura del testo nelle finestre proprietà. (#218)
- Migliorato l'inseguimento del cursore nei campi di testo editabili che si basano sul testo scritto a schermo. In particolare, si possono notare grossi benefici nella modifica del contenuto delle celle in Microsoft Excel e nella gestione della composizione messaggi in Eudora. (#1658)
- In Firefox11, il comando control+NVDA+spazio ora si comporta in maniera corretta, ad esempio nell'uscire da oggetti Flash.
- NVDA ora si riavvia correttamente, ad esempio quando viene modificata la lingua, e la configurazione viene salvata in una cartella con caratteri non ascii.  (#2079)
- Il Braille ora rispetta correttamente le impostazioni che influenzano la rappresentazione dei tasti caldi  degli oggetti, informazioni sulla loro posizione e descrizione.
- Nelle applicazioni Mozilla, cambiare dalla modalità navigazione alla modalità focus ora funziona correttamente anche con il braille attivo. (#2095)
- Se si utilizza un tasto cursor routing per spostare il cursore all'ultimo carattere di una riga o di un paragrafo, e questo carattere è uno spazio bianco, NVDA eseguirà l'operazione correttamente invece di portare il cursore all'inizio del testo. (#2096)
- NVDA funziona di nuovo correttamente con la sintesi vocale Audiologic. (#2109)
- Vengono elaborati correttamente i documenti in Microsoft Word come multilinea, di modo che lo scorrimento con un display braille sia fluido e senza intoppi.
- In Microsoft Internet Explorer, non vengono più generati errori in caso il focus venga dato su alcuni controlli abbastanza rari. (#2121)
- La modifica della pronuncia di simboli e punteggiatura effettuata da un utente avrà effetto immediato, piuttosto che dopo un riavvio di NVDA o dover impostare l'opzione rilevamento lingue su disattivo.
- Quando si utilizza Espeak, la sintesi vocale non smette più di parlare in alcune circostanze nella finestra salva con nome del visualizzatore log di NVDA. (#2145)



== Cambiamenti per sviluppatori ==
- E' disponibile una console remota python da usarsi in quelle situazioni dove il debug da remoto risulta utile. Si veda la guida per sviluppatori per maggiori informazioni.
- Il percorso di base del codice di NVDA viene catturato dal traceback nei log, per migliorarne la lettura. (#1880)
- Gli oggetti TextInfo  ora possiedono il metodo activate() per attivare la posizione rappresentata da Textinfo.
- Questo viene usato dai display braille per attivare la posizione con i cursor routing, ma vi saranno altre chiamate in futuro.
- Gli elementi TreeInterceptors e NVDAObjects che espongono solo una pagina di testo alla volta ora supportano l'azione di girare pagina in modalità dire tutto, grazie all'uso di textInfos.DocumentWithPageTurns. (#1978)
- Sono stati rinominati o spostati diversi controlli o costanti output. (#228)
 - Le costanti speech.REASON_* sono state spostate su controlTypes.
  - In controlTypes, speechRoleLabels e speechStateLabels sono stati rinominati in roleLabels e stateLabels.
- Implementato nelle funzioni di log anche l'output del braille. (#2102)
- Le sottoclassi di Sapi5 Synthdrivers possono sovrascrivere _getVoiceTokens  e estendere __init__ per supportare token di voce personalizzati come  con sapi.spObjectTokenCategory per ottenere token da una locazione di registro personalizzata.


= 2011.3 =
== Novità ==
- NVDA ora è in grado di modificare la lingua di Espeak al volo, quando vengono letti documenti pdf oppure pagine web, purché essi contengano informazioni appropriate per la lingua. Le opzioni sul cambio automatico della lingua/dialetto possono essere modificate nelle impostazioni voce. (#845)
- Viene supportato Java Access Bridge 2.0.2, che include il supporto per RunTime Java a 64 bit.
- Nelle applicazioni Mozilla Gecko (ad esempio Firefox), vengono annunciati i livelli di intestazione anche nella navigazione ad oggetti.
- Le informazioni di formattazione vengono annunciate anche quando si utilizza la modalità navigazione nelle applicazioni Mozilla Gecko, ad esempio Firefox o Thunderbird. (#394)
- Le applicazioni con controlli Iaccessible2 come quelle di Mozilla  ora sono in grado di rilevare il testo sottolineato o barrato.
- Nella modalità navigazione in Adobe Reader, viene riportata la quantità di righe e colonne in una tabella.
- Aggiunto il supporto alle sintesi vocali Microsoft Speech platform. (#1735)
- Vengono annunciati i numeri di pagina e di riga relativi al cursore in Ibm Lotus Symphony. (#1632)
- E' possibile configurare dalle impostazioni voce in percentuale di quanto debba aumentare l'altezza della voce in concomitanza con lettere maiuscole. Di conseguenza, la vecchia opzione viene sostituita da questo nuovo parametro. (Per disattivare questa caratteristica impostare l'opzione a 0). (#255)
- Il colore del testo e dello sfondo ora sono compresi nell'annuncio delle informazioni di formattazione nelle celle di Microsoft Excel. (#1655)
- Nelle applicazioni dove si utilizza Java Access Bridge, il comando attiva l'oggetto alla posizione del navigatore ora funziona nei controlli appropriati. (#1744)
- Supporto Base per Design Science MathPlayer.


== Cambiamenti ==
- NVDA verrà riavviato nel caso si pianti.
- Alcune informazioni mostrate in braille sono state abbreviate. (#1288)
- Il comando per leggere il contenuto della finestra attiva NVDA+b è stato migliorato in modo da eliminare informazioni superflue ed inoltre risulta molto più agevole da silenziare. (#1499)
- La caratteristica dire tutto nei documenti in modalità navigazione può essere attivata o disattivata tramite un'opzione presente nella finestra impostazioni navigazione. (#414)
- Nel caso il comando per leggere la barra di stato non funzioni, verrà letta l'ultima riga dello schermo dell'applicazione attiva. (#649)
- Durante la lettura di un documento in modalità navigazione, NVDA effettuerà le pause alla fine delle intestazioni o di altri elementi con blocco di testo, piuttosto di leggere un enorme quantità di testo tutta assieme.
- In modalità navigazione, la pressione del tasto invio o spazio in una scheda (tab) ora la attiverà, invece di passare in modalità focus. (#1760)
- Espeak Aggiornata alla versione 1.45.47.


== Bug corretti ==
- NVDA non visualizzerà più i simboli di puntato o numerico negli elenchi in Internet Explorer e altri controlli MSHTML nel caso l'autore abbia indicato che essi non devono essere mostrati (ad esempio lo stile elenco è impostato su "none"). (#1671)
- Il riavvio di NVDA quando è bloccato (ad esempio premendo control+alt+n) non chiude più la copia precedente senza lanciarne una di nuova.
- La pressione dei tasti backspace o le frecce non provoca più strani comportamenti in alcune circostanze nella finestra prompt dei comandi. (#1612)
- L'elemento selezionato nelle caselle ad elenco WPF (e probabilmente in altre caselle ad elenco esposte utilizzando UI automation) che non permette la modifica del testo viene ora annunciato correttamente.
- In Adobe Reader nella modalità navigazione ora è sempre possibile spostarsi alla riga successiva e precedente nelle tabelle. (#1731)
- In Adobe Reader nella modalità navigazione ora è sempre possibile spostarsi in celle vuote in una tabella.
- Non vengono più visualizzate in braille posizioni  senza riferimenti (ad esempio livello 0 di 0).
- Quando il Braille segue il cursore di controllo, ora è in grado di mostrare il contenuto anche nella navigazione in linea. (#1711)
- Un testo con un controllo di testo non viene più visualizzato due volte in braille, ad esempio muovendosi indietro dall'inizio di un documento in wordpad.
- Nella modalità navigazione in Internet Explorer, la pressione del tasto invio in un pulsante file upload ora mostrerà correttamente la finestra di dialogo di selezione file, invece di attivare la modalità focus. (#1720)
- I cambiamenti di contenuti dinamici come nelle finestre Dos non vengono più riportati se la modalità riposo per quell'applicazione è attiva. (#1662)
- Nella modalità navigazione, il comportamento dei comandi alt+freccia su e alt+freccia giù per comprimere o espandere una casella combinata è stato migliorato. (#1630)
- NVDA riesce ad essere più reattivo e a non bloccarsi in alcune situazioni dove applicazioni esterne non rispondono più (#1408)
- Nei documenti Mozilla Gecko (ad esempio Firefox), in modalità navigazione,  NVDA non interpreterà più male il testo in alcune situazioni specifiche dove un elemento utilizzava lo stile display:table. #(1373)
- NVDA non annuncerà più i controlli di un etichetta quando il focus si sposta all'interno di essi. Inoltre le etichette per alcuni campi nei forum non verranno più annunciate due volte in Firefox (Gecko) e Internet Explorer (MSHTML). (#1650)
- NVDA non commetterà più errori nella lettura di una cella in Microsoft Excel dopo aver incollato qualcosa in essa con control+v. (#1781)
- In Adobe Reader, non vengono più annunciate informazioni senza senso per un documento quando ci si sposta in un controllo che si trova in una pagina diversa in modalità focus. (#1659)
- Nelle applicazioni Mozilla Gecko (ad esempio Firefox) nella modalità navigazione, i pulsanti ciclici o pulsanti di cambio vengono individuati e riportati ora correttamente. (#1757)
- NVDA è ora in grado di leggere correttamente la barra degli indirizzi in Esplora Risorse in Windows 8 Developer Preview.
- NVDA non bloccherà più alcune applicazioni in Windows8 come Winver o Wordpad a causa di traduzioni errate. 
- Nelle applicazioni che utilizzano Mozilla Gecko 10 e successivi come Firefox10, in modalità navigazione, il cursore verrà posizionato più correttamente al caricamento di una pagina web avente un'ancora come destinazione. (#360
- In modalità navigazione in applicazioni Mozilla Gecko (esempio Firefox), vengono ora annunciate le etichette per le mappe immagini.
- Quando il tracciamento mouse è attivo, lo spostamento del mouse su certi campi editazione di testo (come nelle impostazioni periferiche di puntamento Synaptics, e Speechlab Speaktext) non causerà più il crash dell'applicazione. (#672)
- NVDA ora funzionerà in maniera nettamente migliore nelle finestre  di dialogo di alcune applicazioni distribuite con Windows Xp, come ad esempio la finestra informazioni in Notepad e la finestra informazioni in Windows. (#1853, #1855)
- Risolti gli errori della funzione "spostarsi parola per parola" nei controlli editazione di Windows. (#1877)
- Lo spostamento al di fuori di un campo editazione di testo servendosi della freccia sinistra, superiore o pagina su, mentre ci si trova in modalità focus, ora attiverà la modalità navigazione, se la funzione modalità focus automatica per i movimenti del cursore è attiva. (#1733)



= 2011.2 =
Le principali novità di questa versione riguardano una gestione avanzata della punteggiatura e dei simboli, con possibilità di avere livelli configurabili, etichette personalizzabili e descrizione dei caratteri; durante la lettura in modalità "dire tutto", non verranno più effettuate pause alla fine di ciascuna riga; migliorato il supporto Aria in Internet Explorer; supporto migliorato per i documenti pdf XFA/LiveCycle in Adobe Reader; accesso al testo presente a video in un maggior numero di applicazioni; aggiunte informazioni sul carattere, sui colori e sulla formattazione del testo presente a schermo.

== Novità ==
- Ora è possibile ascoltare la descrizione di un dato carattere premendo due volte il tasto che attiva lo script dire carattere nei comandi di revisione. Per l'italiano si tratta dell'alfabeto Nato: Alpha, Bravo, etc. Per lingue pittografiche come il cinese tradizionale, vengono annunciati uno o più esempi tramite delle frasi. Tutto ciò ha effetto anche con i comandi dire parola e dire riga premuti tre volte. (#55)
- Può essere esaminata una maggior quantità di testo con la navigazione in linea per applicazioni tipo Mozilla Thunderbird che scrivono il testo direttamente a schermo.
- E' possibile scegliere tra più livelli nell'annuncio di simboli e punteggiatura. (#332)
 - Quando vengono ripetuti più di 4 volte simboli di punteggiatura o simili, viene annunciato il numero dei simboli presenti piuttosto che annunciarli uno ad uno. (#43)
 - Nuove tabelle di traduzione Braille: Norvegese 8 punti braille computer, Etiope Grado1, Sloveno Grado1, Serbo Grado1. (#1456)
- La sintesi vocale non effettua più pause innaturali alla fine di ogni riga nella modalità dire tutto. (#149)
- NVDA annuncerà se un elemento  possiede l'attributo "ordinato" nei browser web, rispettando le proprietà Aria-sort. (#1500)
- I simboli Braille Unicode vengono riprodotti correttamente nei Display Braille. (#1505)
- In Internet Explorer ed in altri controlli MShtml quando il focus si sposta all'interno di un gruppo di controlli, NVDA ora dirà il nome di tale gruppo. (#535)
- In Internet Explorer e altri controlli MShtml, le proprietà Aria-LabelledBy e aria-describedBy ora vengono rispettate.
- In Internet Explorer e altri controlli MShtml, è stato migliorato il supporto Aria per elenchi, griglie di celle, indicatori e barre di progresso.
- Gli utenti possono modificare la pronuncia della punteggiatura ed altri simboli, e possono stabilire il livello in cui NVDA dovrà annunciarli. (#271, #1516)
- In Microsoft Excel, ora viene letto il nome del foglio attivo quando ci si sposta tra essi con Control+Pagina su o Control+Pagina giù. (#760)
- Quando in Microsoft Word si esplora una tabella utilizzando il tasto Tab, NVDA leggerà la cella attuale man mano che ci si sposta. (#159)
- Dalle opzioni formattazione documento, è possibile configurare se le coordinate di una cella in una tabella debbano essere annunciate. (#719)
- NVDA ora è in grado di individuare informazioni sul colore e sulla formattazione del testo scritto direttamente a schermo.
- Nell'elenco dei messaggi di Outlook Express/Windows Mail/Windows Live mail, NVDA ora annuncerà se un messaggio non è ancora stato letto, o nel caso si utilizzi la visualizzazione discussioni, se essa è espansa o meno. (868)
- Espeak ora possiede una nuova impostazione chiamata aumento velocità, che triplica la velocità del parlato.
- Supporto per i controlli del calendario situati nella finestra di dialogo  informazioni data/ora, accessibile dall'orologio di Windows7. (#1637)
- Sono state assegnate nuove combinazioni di tasti per il display Braille Lilli prodotto dalla MDV. (#241)
- Nuove lingue: Bulgaro, Albanese. 


== Cambiamenti ==
- Per spostare il cursore di sistema alla posizione del cursore di controllo, bisogna utilizzare il comando sposta il focus alla posizione del navigatore ad oggetti (NVDA+Shift+meno del tastierino numerico per i computer fissi, NVDA+Shift+Backspace per i portatili) due volte in rapida successione. (#837)
- Aggiornato il motore di sintesi Espeak alla versione 1.45.03. (#1465)
- Per ascoltare la rappresentazione decimale o esadecimale di un carattere mentre si usa il cursore di controllo, premere il comando leggi carattere corrente tre volte anziché due, in quanto la doppia pressione ora riporta la descrizione del carattere.
- Le tabelle di layout non vengono più annunciate nelle applicazioni Mozilla Gecko se ci si trova in modalità focus e si sposta il cursore.
- In Internet Explorer e altri controlli MSHTML, la modalità navigazione funziona per documenti all'interno di applicazioni ARIA. (#1452)
 - Aggiornato il pacchetto Liblouis Braille alla versione 2.3.0.
- Quando ci si trova in modalità navigazione e si salta ad un controllo  con un tasto rapido di navigazione,   viene annunciata la descrizione di tale controllo se esiste.
- Le barre di progresso ora vengono annunciate in modalità navigazione.
- L'interfaccia utente di NVDA e la documentazione non utilizzeranno più la terminologia buffer virtuale, bensì modalità navigazione, in quanto il termine buffer virtuale risultava complicato per molti utenti. (#1509)
- Quando l'utente desidera copiare le proprie impostazioni personali sul profilo di sistema in modo da poter esplorare anche le schermate di login, e questi settaggi contengono plugin personalizzati, viene mostrato un messaggio che avvisa che questa operazione può essere rischiosa per la sicurezza. (#1426)
- In Windows XP e Windows Vista NVDA non effettua più uso delle UI Automation, nonostante esse possano essere disponibili attraverso gli aggiornamenti. Sebbene l'utilizzo di tale tecnologia può aumentare l'accessibilità di programmi moderni, in Windows Xp e Vista si verificavano troppi rallentamenti e crash durante il loro utilizzo. (#1437)
- Nelle applicazioni che si avvalgono di Mozilla Gecko 2 e successivi (Firefox4 e seguenti per esempio), un documento può venir letto in modalità navigazione anche prima che esso sia caricato del tutto.
- NVDA ora annuncia lo stato del documento quando il focus si sposta su di esso, ad esempio se il focus viene portato su un documento che è in fase di caricamento, NVDA dirà occupato.
 - La documentazione di NVDA è stata aggiornata in modo da non utilizzare più alcuni termini come oggetto padre e oggetto figlio, in quanto poco comprensibili per la maggior parte degli utenti.
- Il termine "espanso"  non viene più annunciato per alcuni elementi di menu che hanno al loro interno altri sotto menu.
- Il comando NVDA+f ora annuncia la formattazione alla posizione del cursore di controllo, non più quindi all'altezza di quella del cursore di sistema. Poiche' in ogni caso da impostazioni predefinite il cursore di controllo segue il cursore di sistema, la maggior parte degli utenti non noteranno differenze. In ogni caso, questo fa sì che ora sia possibile esplorare la formattazione del testo con il cursore di controllo, soprattutto quando si utilizza la navigazione in linea.


== Bug corretti ==
- Quando vengono  chiuse le caselle combinate nei documenti in modalità navigazione e la modalità focus è stata forzata con NVDA+spazio, NVDA non tornerà più in modalità navigazione automaticamente. (#1386)
- Nei documenti Gecko (ad esempio Firefox) o controlli MSHTML (ad esempio Internet Explorer), NVDA ora non spezza più certe parti di testo su più righe, ma le dispone in una riga sola. (#1378)
- Quando il Braille segue il cursore di controllo e il navigatore ad oggetti viene spostato in un documento ove si utilizza la modalità navigazione, sia manualmente sia tramite un mutamento del focus, verrà riprodotta correttamente in braille la modalità navigazione. (#1406, #1407)
- Quando l'annuncio della punteggiatura è disabilitato, alcuni simboli non verranno più erroneamente vocalizzati con certe sintesi vocali. (#332)
- Non vi sono più problemi nel caricamento di  quei sintetizzatori come Audiologic che non supportano le impostazioni della voce. (#1347)
- Il menu Extra di Skype ora viene letto correttamente. (#648)
- Abilitare la casella di controllo  "la luminosità controlla il volume delle coordinate audio) nella finestra di dialogo inerenti le impostazioni del mouse non causa più grossi rallentamenti quando si sposta il mouse in WindowsVista/Windows7 con la modalità Aero attivata. (#1183)
- Quando NVDA è configurato per utilizzare il layout di tastiera Laptop, la combinazione NVDA+Canc funziona come documentato nel riportare le dimensioni dell'oggetto corrente. (#1498)
- NVDA ora rispetta correttamente l'attributo aria-selected in Internet Explorer.
- Quando NVDA va automaticamente dalla modalità navigazione alla modalità focus, ora annuncia informazioni sul contesto del focus. Per esempio, se un elemento di un elenco viene focalizzato, verrà annunciato per prima che si tratta di un elenco. (#1491)
- In Internet Explorer ed altri controlli MSHTML, gli elenchi Aria sono trattati come elenchi, non più come elementi di elenchi.
- Quando viene focalizzato un controllo di testo di sola lettura, NVDA ora annuncerà per l'appunto che il testo su cui ci si trova è di sola lettura. (#1436)
- Nella modalità navigazione, NVDA ora si comporta correttamente in presenza di campi di testo di sola lettura.
- Nei documenti in modalità navigazione, NVDA non passerà più automaticamente alla modalità focus in caso sia impostato l'attributo aria-activedescendant; ad esempio quando appare un elenco di elementi con completamento automatico.
- In Adobe Reader, è ora annunciato il nome dei controlli quando viene spostato il focus o o vengono utilizzati tasti rapidi in modalità navigazione.
- Nei documenti XFA Pdf in Adobe reader, vengono riconosciuti correttamente bottoni, links e grafici.
-  Nei documenti XFA Pdf in Adobe reader, tutti gli elementi vengono ora riportati su linee separate. Questo cambiamento è dovuto al fatto che vi erano alcune sezioni di testo o documenti interi che venivano letti senza alcuna interruzione a causa della mancanza di una struttura di base in essi.
- Risolti i problemi quando viene spostato il focus in campi di testo editabili nei documenti XFA PDF in Adobe Reader.
-  Nei documenti XFA Pdf in Adobe reader, vengono ora annunciati i cambiamenti dei valori di una casella combinata su cui è il focus.
- Sono ora accessibili a NVDA caselle combinate come quelle presenti in Outlook Express per la selezione del colore. (#1340)
- Nelle lingue che utilizzano uno spazio per separare le cifre in gruppi come le migliaia in Francese e in Tedesco, i numeri presenti nelle varie porzioni di testo non vengono più pronunciati come cifre singole. Questo è risultato particolarmente problematico nelle celle in tabelle che contenevano numeri al proprio interno. (#555)
- Elementi che contengono un ruolo Aria di descrizione in Internet Explorer e altri controlli MSHTML sono ora visti come testo statico anziché editabile.
- Risolti numerosi problemi causati dalla pressione del tasto tab mentre il focus si trovava in un documento in modalità navigazione, (ad esempio la pressione del tab portava inavvertitamente alla barra degli indirizzi in Internet Explorer). (#720, #1367)
- Quando si entra in un elenco durante la lettura del testo, NVDA ora annuncia "elenco con 5 elementi", invece che "elencocon 5 elementi". (#1515)
- Nell'aiuto immissione,  i gesti sono loggati sebbene gli script ad essi relativi bypasserebbero l'aiuto immissione, come i comandi di scorrimento avanti e indietro nei Display Braille.
- Nell'aiuto immissione, quando un tasto funzione viene tenuto premuto nella tastiera, NVDA non annuncerà più quel tasto come se stesse modificando se stesso; ad esempio NVDA+NVDA.
- Nei documenti Adobe Reader, ora funziona la pressione dei tasti C e Shift+c per muoversi tra le caselle combinate.
- Lo stato "selezionato" di una riga selezionabile all'interno di una tabella viene ora annunciato allo stesso modo degli elementi in un elenco o in una visualizzazione ad albero.
- I controlli in Firefox o in altre applicazioni Gecko possono essere attivati in modalità navigazione anche se il loro contenuto è stato spostato fuori schermo. (#801)
- Non è più possibile far apparire una finestra di dialogo di NVDA mentre ne viene visualizzata una seconda, in quanto questo causava grossi rallentamenti. (#1451)
- In Microsoft Excel non si manifesta più alcun ritardo se si tiene premuto un tasto per muoversi rapidamente tra celle vicine o selezionarle.
- Sistemato un fenomeno che provocava il crash del servizio NVDA che rendeva impossibile l'utilizzo dello screen reader nelle finestre di login.
- Sistemato un problema che talvolta si verificava nei display Braille, che causava la scomparsa del testo che invece doveva essere riprodotto. (#1377)
- La finestra di Download in Internet Explorer 9 è ora accessibile a NVDA. (#1280)
- Non è più possibile lanciare accidentalmente multiple istanze di NVDA. (#507)
- In sistemi particolarmente lenti, NVDA non mostrerà più tutte le volte la propria finestra principale quando viene eseguito. (#726)
- NVDA non crasherà più in WindowsXp quando viene eseguita un'applicazione WPF. (#1437)
- I comandi DireTutto e DireTutto usando il cursore di controllo ora funzionano con controlli di testo che utilizzano la tecnologia Ui Automation.  Un esempio può essere rappresentato dall'usare il cursore di controllo nei documenti xps.
- NVDA non considera più alcuni elementi della finestra di dialogo regole in Outlook Express / Windows Live Mail come caselle di controllo. (#576)
- Le caselle combinate non sono più annunciate con un sottomenu. 
- NVDA ora è in grado di leggere i campi a, cc, e bcc in Microsoft Outlook. (#421)
- Risolto un problema nella finestra di dialogo delle impostazioni voce di NVDA laddove il valore di un indicatore non veniva correttamente annunciato. (#1411)
- NVDA non commette più errori nell'individuare una nuova cella quando ci si muove in un foglio di lavoro Excel dopo un taglia/incolla. (#1567)
- NVDA non peggiora nel riconoscimento dei colori se ne incontra di vario tipo.
- In Internet Explorer e altri controlli MSHTML, NVDA ora è in grado di leggere porzioni di pagine che contengono elementi iframes marcati con un ruolo Aria di presentazione. (#1569)
- In Internet Explorer e altri controlli MSHTML, risolto un problema piuttosto raro che causava il continuo ciclo in modalità focus tra un documento e un testo contenente più righe. (#1566)
- In Microsoft Word 2010, NVDA ora legge automaticamente le finestre di dialogo di conferma. (#1538)
- In campi di testo contenenti più righe presenti in Internet Explorer e altri controlli MSHTML, la selezione delle righe oltre la prima è riportata correttamente. (#1590)
- Migliorato lo spostamento parola per parola in molti casi, inclusa la modalità navigazione e i controlli editazione nelle finestre. (#1580)
- L'Installer di NVDA non visualizza più caratteri senza senso per le versioni Hong Kong di Windows Vista e Windows7. (#1596)
- NVDA non ha più problemi nel caricare il sintetizzatore Sapi5 se la configurazione contiene impostazioni per quel sintetizzatore ma mancano i parametri della voce. (#1599)
- Nei campi editazione in Internet Explorer e altri controlli MSHTML, NVDA non rallenta e non provoca grossi ritardi nel caso il Braille sia abilitato.
- Nella modalità navigazione in Firefox, NVDA non si rifiuta più di includere contenuto che si trova all'interno di un elemento focalizzabile avente un ruolo ARIA di presentazione.
- In Microsoft Word con il braille attivato, le righe oltre la prima pagina vengono visualizzate correttamente. (#1603)
- In Microsoft Word 2003, il testo delle righe scritte da destra a sinistra può di nuovo essere letto con il Braille attivo. (#627)
- In Microsoft Word, l'opzione direTutto funziona correttamente anche quando il documento non termina con la fine di una frase.
- Quando viene aperto un messaggio di testo semplice in Windows Live Mail 2011, NVDA posizionerà il focus correttamente sul documento, permettendo la lettura del messaggio stesso.
- NVDA non causerà ritardi e non smetterà temporaneamente di parlare nella finestra di dialogo Sposta in / Copia in di Windows Live Mail. (#574)
- In Outlook 2010, NVDA ora segue il focus correttamente nell'elenco dei messaggi. (#1285)
- Corretti alcuni problemi di connessione USB con il Display Braille MDV Lilli. (#241)


= 2011.1.1 =

== Bug Corretti ==
- Il menù Fai una Donazione ora è disabilitato nelle schermate di Login e UAC, in quanto risultava essere un potenziale rischio per la sicurezza. (#1419)
- Risulta ora impossibile effettuare operazioni di copia/incolla all'interno dell'interfaccia di NVDA, quando ci si trova in schermate di sicurezza (UAC, login, etc), in quanto risultava essere un potenziale rischio di sicurezza. (#1421)
- In Firefox 4, il comando Control+NVDA+Spazio ora funziona correttamente, permettendo di abbandonare oggetti flash e tornare al buffer virtuale. (#1429)
- Quando la funzione leggi i tasti di comando è attivata, i caratteri digitati con il tasto Shift non vengono più letti come tasti di comando. (#1422)
- Quando la funzione leggi i tasti di comando è attivata, la pressione della barra spazio con altri tasti speciali ad eccezione dello Shift (control, alt), viene ora annunciata come tasto di comando. (#1424)
- Le funzioni di logging sono completamente disabilitate quando ci si trova in schermate di sicurezza, UAC, logon di Windows, etc, in quanto risultava essere un potenziale rischio per la sicurezza. (#1435)


= 2011.1 =
Le principali novità di questa versione riguardano l'annuncio automatico del testo in programmi come Mirc, PuTTY, Teraterm e Secure CRT; supporto per plugin globali;  lettura di numeri ed elenchi in Microsoft Word; nuove assegnazioni tasti per i Display Braille, compresi tasti per spostarsi alla riga precedente o successiva; supporto per molti Display Braille Baum, HumanWare e APH; e l'annuncio dei colori in alcuni controlli, compreso il testo in IBM Lotus Symphony.

== Nuove caratteristiche ==
- I colori possono essere annunciati in alcuni controlli. La lettura automatica può essere configurata  nella finestra di dialogo formattazione documento. Risulta possibile ottenere le stesse informazioni anche manualmente, con il comando NVDA+f.
- Per ora, questa funzione è supportata nei controlli editazione Iaccessible2 (ad esempio applicazioni Mozilla), controlli RichEdit (come Wordpad), e controlli IBM Lotus Symphony.
- Quando si utilizza il buffer virtuale, ora è possibile selezionare il testo anche per pagine (Shift+Pagina su e Shift+Pagina giù) oppure per paragrafi (Control+Shift+Freccia su e Control+Shift+Freccia giù). (#639)
- NVDA annuncia automaticamente il testo in mIRC, PuTTY, Tera Term e SecureCRT. (#936)
- Gli utenti possono aggiungere o modificare le assegnazioni di tasti per qualsiasi script in NVDA con una mappa utente delle gesture. (#194)
- Supporto ai plugin globali. I Plugin globali possono aggiungere nuove funzionalità in NVDA per tutte le applicazioni. (#281)
- Un leggero segnale acustico viene emesso nel caso si digiti un carattere con il tasto shift, mentre il blocca maiuscole è attivo. Il parametro si configura nelle opzioni tastiera. (#663)
- Vengono annunciate le interruzioni di pagina quando ci si sposta riga per riga in Microsoft Word. (#758)
- Gli elenchi numerati e i simboli negli elenchi vengono letti correttamente in Microsoft Word quando ci si sposta riga per riga. (#208)
- E' disponibile un comando per attivare/disattivare la modalità Riposo, SleepMode: NVDA+Shift+S. La modalità riposo, sleep mode disabilita tutti i comandi di NVDA e l'output tramite voce/braille per l'applicazione corrente. Risulta utile se si ha a che fare con programmi che forniscono direttamente indicazioni vocali. Ripremere la combinazione di tasti per disattivare questa funzione.
- Aggiunte alcune assegnazioni di tastiera per Display Braille. Si veda la sezione Display Braille nella documentazione per tutti i dettagli. (#209)
- Per agevolare il lavoro degli sviluppatori, è possibile ricaricare i plugin globali e i moduli applicazione AppModules senza riavviare NVDA. Per farlo, usare il comando NVDA+Control+f3, oppure scegliere Strumenti, ricarica plugin nel menu di NVDA. (#544)
- NVDA ricorda l'ultima posizione in cui ci si trovava quando si ritorna in una pagina web già visitata, ad esempio quando si preme il bottone backspace o il tasto indietro. Questo fino a quando il Browser oppure NVDA verrà chiuso. (#132)
- I Display Braille HandyTech possono essere utilizzati senza dover installare Handy Tech universal driver. (#854)
- Supporto a molte barre braille Baum, HumanWare e APH. (#937)
- La Barra di Stato in Media Player Classic Home Cinema è ora individuata correttamente.
- Il Display Braille Focus Blue di Freedom Scientific può essere utilizzato anche in modalità BlueTooth. (#1345)


== Cambiamenti ==
- Non vengono più annunciate di default le informazioni sulla posizione in alcune circostanze quando esse possono risultare poco accurate; ad esempio la maggior parte dei menu, la barra delle applicazioni, la system tray etc. In ogni caso, l'opzione può essere riattivata dalle impostazioni presentazione oggetti.
- Aiuto tastiera è stato rinominato in aiuto immissione dati, per sottolineare che ora i sistemi di input possono essere diversi dalla tastiera.
- L'aiuto immissione dati non legge più la posizione dello script tramite voce e braille perche' risulta utile soltanto agli sviluppatori. In ogni caso l'informazione viene loggata.
- Quando NVDA si accorge di essere bloccato, continuerà ad intercettare la pressione del tasto NVDA, anche se poi i tasti vengono passati al sistema. Questo fa in modo che l'utente non disattivi o attivi il tasto blocca maiuscole inavvertitamente. (#939)
- Se i tasti vengono tenuti premuti dopo aver usato la funzione passa il tasto successivo attraverso, tutti i tasti (inclusi tasti ripetuti) verranno passati al sistema e non a NVDA fino a che l'ultimo tasto sarà stato rilasciato.
- Se un tasto funzione NVDA viene premuto due volte in rapida successione affinche' venga intercettato dal sistema e viene tenuto premuto alla seconda pressione, verranno passati al sistema anche tutti i tasti ripetuti.
- I tasti relativi al volume vengono annunciati nell'aiuto immissione dati. Può risultare utile se l'utente non è sicuro sulla loro posizione.  
- Il tasto caldo per la voce cursore di controllo nel menu preferenze è stato modificato da r a c per eliminare il conflitto con le impostazioni braille.


== Bug corretti ==
- Quando si aggiunge una nuova voce nel dizionario, il titolo della finestra di dialogo è "aggiungi nuova voce" invece che "modifica voce dizionario". ([924)
- Nella finestra di dialogo dizionari per la voce, elementi come espressione regolare o distingui tra maiuscole e minuscole vengono presentati nella lingua dell'utente e non solo in inglese.
- Nel programma AIM, viene annunciata la propria posizione nelle visualizzazioni ad albero.
- Nei cursori d'avanzamento delle impostazioni della voce, freccia su/pagina su/home-inizio aumentano il valore mentre freccia giù/pagina giù/fine-end lo diminuiscono. In precedenza, accadeva l'opposto, il che non era affatto logico. (#221)
- Nei buffer virtuali con layout schermo disattivato, non appaiono più alcune righe vuote inutili.
- Se un tasto funzione NVDA viene premuto due volte in rapida successione ma vi è un ulteriore tasto premuto, il tasto NVDA non viene più intercettato una seconda volta per passarlo al sistema.
- I tasti di punteggiatura vengono annunciati nell'aiuto immissione dati, anche se l'opzione leggi punteggiatura è disattivata. (#977)
- Nella finestra di dialogo impostazioni tastiera, i nomi dei layout vengono presentati nella lingua scelta dall'utente e non solo in inglese. (#558)
- Risolto un problema che causava la presentazione di alcune voci come fossero vuote in documenti Adobe Reader; ad esempio i link dell'indice della guida di Apple Iphone IOS 4.1.
- il Bottone "Utilizza le impostazioni di configurazione salvate nella finestra di logon (richiede privilegi di amministratore)" situato nella finestra di dialogo generale del menu preferenze di NVDA, ora funziona anche se premuto immediatamente dopo che NVDA è stato installato per la prima volta ma prima dell'apparizione di una schermata di login sicuro. In precedenza NVDA annunciava che la copia era avvenuta correttamente, ma in realtà non veniva effettuata. (#1194)
- Non risulta più possibile avere due finestre di dialogo di impostazioni NVDA aperte allo stesso momento. (#603)
- Nei sistemi con UAC attivato, il bottone "Utilizza le impostazioni di configurazione salvate nella finestra di logon (richiede privilegi di amministratore)" non fallisce l'operazione dopo la schermata UAC, nel caso il nome utente contenga uno spazio. (#918)
- In Internet Explorer e altri controlli MSHTML, ora NVDA utilizza l'indirizzo come ultimo tentativo per carpire il nome del link, piuttosto che presentarlo come link vuoto. (#633)
- NVDA non ignora più il focus nei menu in Aol Instant Messenger 7. (#655)
- Viene annunciata l'etichetta corretta negli errori in Microsoft Word originati dal controllo ortografico (ad esempio voci come non nel dizionario, errore grammaticale, errore di punteggiatura, etc). In precedenza venivano annunciati tutti come errori grammaticali. (#883)
- Se si utilizza un Display Braille e si sta scrivendo in Microsoft Word, non dovrebbe più essere prodotto testo pieno di caratteri strani. Inoltre risolto un problema che provocava il blocco di NVDA alla pressione di un cursor routing. (#1212) Comunque, vi è una limitazione, nell'impossibilità di leggere documenti in arabo con Microsoft Word 2003 e precedenti, mentre si usa un display braille. (#627)
- Quando si preme il tasto Canc in un campo editazione, il testo nel display braille ora si aggiorna in maniera corretta. (#947)
- Cambiamenti nei documenti Gecko2 contenenti pagine web dinamiche (esempio firefox4). Ora se vi sono più schede aperte esse vengono riportate correttamente. In precedenza venivano intercettati soltanto i cambiamenti della prima scheda. (Mozilla bug 610985)
- NVDA ora è in grado di annunciare i suggerimenti per gli errori grammaticali e di punteggiatura nelle finestre di dialogo del controllo ortografico in Microsoft Word. (#704)
- In Internet Explorer e altri controlli MSHTML, NVDA non presenta più le ancore di destinazione come link vuoti. Ora, queste ancore vengono nascoste, come dev'essere. (#1326)
- La navigazione ad oggetti all'interno e attorno alle finestre raggruppate ora funziona di nuovo.
- In Firefox e altri controlli Gecko, migliorata la gestione frame multipli quando il documento è in fase di caricamento.
- NVDA ora annuncia correttamente il carattere successivo quando si elimina un carattere con il tasto canc del tastierino numerico. (#286)
- Nella finestra di login in Windows Xp, il nome utente viene nuovamente annunciato quando l'utente selezionato viene modificato.
- Risolti problemi nella lettura del testo nelle finestre del prompt dei comandi quando l'opzione annuncia numeri di riga è attiva.
- La finestra di dialogo elenco elementi per il buffer virtuale è utilizzabile ora anche da persone vedenti. (#1321)
- L'elenco delle voci nel dizionario ora risulta più leggibile da persone vedenti in quanto la finestra è più grande. (#90)
- Risolto un bug nella gestione tasti nei display braille Alva bc640/680.
- Adobe Reader non crasha più dopo aver evidenziato l'opzione documenti senza tag ed essere passati all'opzione successiva. (#1218)
- NVDA seleziona il display braille appropriato quando si ritorna alla configurazione salvata. (#1346)
- La procedura guidata di un nuovo progetto viene ora letta correttamente in  Visual Studio 2008. (#974)
- NVDA non si rifiuta più di lavorare in applicazioni che contengono caratteri non ASCII nel loro nome eseguibile. (#1352)
- Quando si legge riga per riga utilizzando AKelpad e l'opzione formato automatico è attiva, NVDA ora si comporta in maniera corretta.
- Nell'editor di codice in Visual Studio 2005/2008, NVDA non legge più l'intero testo dopo ogni carattere digitato. (#975)
- Risolto un problema che non permetteva una corretta pulizia dei caratteri dei display braille all'uscita da NVDA.
- Il focus iniziale non viene più annunciato una volta che NVDA viene attivato. (#1359)


== Cambiamenti per sviluppatori ==
Questa sezione viene lasciata in inglese.
- SCons is now used to prepare the source tree and create binary builds, portable archives, installers, etc. See readme.txt at the root of the source distribution for details.
- The key names used by NVDA (including key maps) have been made more friendly/logical; e.g. upArrow instead of extendedUp and numpadPageUp instead of prior. See the vkCodes module for a list.
- All input from the user is now represented by an inputCore.InputGesture instance. (#601)
 - Each source of input subclasses the base InputGesture class.
 - Key presses on the system keyboard are encompassed by the keyboardHandler.KeyboardInputGesture class.
 - Presses of buttons, wheels and other controls on a braille display are encompassed by subclasses of the braille.BrailleDisplayGesture class. These subclasses are provided by each braille display driver.
- Input gestures are bound to ScriptableObjects using the ScriptableObject.bindGesture() method on an instance or an __gestures dict on the class which maps gesture identifiers to script names. See baseObject.ScriptableObject for details.
- App modules no longer have key map files. All input gesture bindings must be done in the app module itself.
- All scripts now take an InputGesture instance instead of a key press.
 - KeyboardInputGestures can be sent on to the OS using the send() method of the gesture.
- To send an arbitrary key press, you must now create a KeyboardInputGesture using KeyboardInputGesture.fromName() and then use its send() method.
- Locales may now provide an input gesture map file to add new bindings or override existing bindings for scripts anywhere in NVDA. (#810)
 - Locale gesture maps should be placed in locale\LANG\gestures.ini, where LANG is the language code.
 - See inputCore.GlobalGestureMap for details of the file format.
- The new LiveText and Terminal NVDAObject behaviors facilitate automatic reporting of new text. See those classes in NVDAObjects.behaviors for details. (#936)
 - The NVDAObjects.window.DisplayModelLiveText overlay class can be used for objects which must retrieve text written to the display.
 - See the mirc and putty app modules for usage examples.
- There is no longer an _default app module. App modules should instead subclass appModuleHandler.AppModule (the base AppModule class).
- Support for global plugins which can globally bind scripts, handle NVDAObject events and choose NVDAObject overlay classes. (#281) See globalPluginHandler.GlobalPlugin for details.
- On SynthDriver objects, the available* attributes for string settings (e.g. availableVoices and availableVariants)  are now OrderedDicts keyed by ID instead of lists.
- synthDriverHandler.VoiceInfo now takes an optional language argument which specifies the language of the voice.
- SynthDriver objects now provide a language attribute which specifies the language of the current voice.
 - The base implementation uses the language specified on the VoiceInfo objects in availableVoices. This is suitable for most synthesisers which support one language per voice.
- Braille display drivers have been enhanced to allow buttons, wheels and other controls to be bound to NVDA scripts:
 - Drivers can provide a global input gesture map to add bindings for scripts anywhere in NVDA.
 - They can also provide their own scripts to perform display specific functions.
 - See braille.BrailleDisplayDriver for details and existing braille display drivers for examples.
- The 'selfVoicing' property on AppModule classes has now been renamed to 'sleepMode'.
- The app module events event_appLoseFocus and event_appGainFocus have now been renamed to event_appModule_loseFocus and event_appModule_gainFocus, respectivly, in order to make the naming convention consistent with app modules and tree interceptors.
- All braille display drivers should now use braille.BrailleDisplayDriver instead of braille.BrailleDisplayDriverWithCursor.
 - The cursor is now managed outside of the driver.
 - Existing drivers need only change their class statement accordingly and rename their _display method to display.


 = 2010.2 =
Le caratteristiche più importanti in questa versione riguardano la facilitazione nell'utilizzare la navigazione ad oggetti; l'uso dei buffer virtuali nei contenuti Adobe Flash; accedere a controlli prima inaccessibili tramite il recuperare informazioni scritte sullo schermo; supporto ai documenti IBM Lotus Symphony; l'annuncio delle intestazioni riga e colonna nelle tabelle in Firefox; e un miglioramento significativo alla documentazione utente.

== Nuove caratteristiche ==
- La navigazione ad oggetti tramite il cursore di controllo è stata significativamente semplificata. Ora il cursore di controllo è in grado di escludere oggetti che non sono utili all'utente; ad esempio oggetti non disponibili o utilizzati per funzioni di layout.
- In applicazioni che si avvalgono di Java Access Bridge (inclusa OpenOffice.org), viene annunciata la formattazione del carattere. (#358, #463)
- Quando si sposta il Mouse tra le celle in Microsoft Excel, NVDA le annuncerà correttamente.
- In applicazioni che fanno uso di Java Access Bridge, il testo presente in una finestra di dialogo viene annunciato appena compare sullo schermo. (#554)
- Il buffer virtuale può essere usato per esplorare contenuti di tipo Adobe Flash. La navigazione ad oggetti e l'interazione diretta con i controlli è ancora supportata (attivando la modalità focus). (#453)
- I controlli di testo editabili in Eclipse Ide, incluso l'editor di codice, sono ora accessibili. Si noti che si deve utilizzare Eclipse 3.6 o superiore. (#256, #641)
- NVDA è in grado di recuperare molte informazioni scritte direttamente sullo schermo. (#40, #643)
 - Questo risulta utile nella lettura di controlli che non generano le informazioni in maniere più dirette o sfruttando i canali dell'accessibilità.
 - Controlli che vengono resi accessibili attraverso questa caratteristica includono: alcuni elementi di menu che mostrano delle icone (ad esempio la voce apri con, nel menu file in windows XP (#151), campi di testo editabili nelle applicazioni Windows Live (#200), l'elenco errori in Outlook Express (#582), i controlli di testo editabili in Textpad (#605), elenchi in Eudora, molti controlli in Australian E-Tax e la gestione formule in Excel.
- Supporto al Code Editor in Microsoft Visual Studio 2005 e 2008. E' richiesto almeno Visual Studio Standard; non funziona nell'edizione Express. (#457)
- Supporto per documenti IBM Lotus Symphony.
- Supporto embrionale e sperimentale a Google Chrome. Si noti che tale funzione è ben lontana dall'essere considerata completa. Si avrà bisogno di una delle versioni in sviluppo più recenti di Google Chrome.
- Lo stato dei pulsanti a interruttore (caps lock, num lock e scroll lock) viene ora visualizzato anche in Braille. (#620)
- I fumetti d'aiuto vengono mostrati anche in braille quando appaiono. (#652)
- Aggiunto un Driver per la riga Braille Mdv Lilli. (#241)
- Quando viene selezionata un'intera riga con shift+spazio o una colonna con control+spazio in Excel, la selezione viene annunciata. (#759)
- Possono essere annunciate le intestazioni di righe e colonne. L'opzione è configurabile dalla finestra formato documento.
 - Al momento il supporto viene fornito nelle applicazioni Mozilla a partire da Firefox 3.6.11 e successive e Thunderbird 3.1.5 e successive. (#361)
- Introdotti comandi per la navigazione in linea (#58)
 - NVDA + 7 del tastierino numerico: Passa alla navigazione in linea, collocando l'utente alla posizione attuale del navigatore ad oggetti, permettendo di esplorare lo schermo (o il documento se ci si trova all'interno di esso) con i consueti comandi di revisione del testo usati dal cursore di controllo.
 - NVDA+1 del tastierino numerico: Attiva il navigatore ad oggetti a partire dalla posizione corrente nella navigazione in linea, permettendo poi di usare i consueti tasti relativi alla navigazione ad oggetti.
- Le impostazioni di configurazione possono essere copiate tramite un apposito bottone nella finestra generale del menù preferenze in modo da essere usate anche nelle schermate di logon o UAC. (#730)
- Supporto a Mozilla Firefox 4.
- Supporto a Microsoft Internet Explorer 9.


== Cambiamenti ==
- Alcuni tasti relativi alla navigazione ad oggetti (NVDA+shift+numpad6 e NVDA+shift+numpad4) sono stati rimossi a causa del loro mal funzionamento.
- Nella finestra di dialogo Sintetizzatore, viene mostrato solo il nome reale della sintesi vocale. In precedenza, veniva accompagnato dal nome del driver, il che non serve all'utente finale.
- In presenza di applicazioni incorporate o di buffer virtuali all'interno di altri buffer virtuali (ad esempio il flash), è ora possibile premere NVDA+control+spazio per uscire dall'applicazione incorporata o dal buffer virtuale e tornare al documento che la contiene. In precedenza, NVDA+spazio veniva usato per tale scopo. Ora NVDA+spazio viene utilizzato per cambiare tra modalità esplorazione e modalità focus nel buffer virtuale.
- Se viene focalizzato il visualizzatore sintesi vocale (menu strumenti), il nuovo testo non apparirà fino a quando il focus non sarà spostato altrove. Questo permette una selezione del testo molto agevole (ad esempio per copiarlo).
- Le finestre visualizzatore log e Console Python sono già ingrandite quando vengono attivate.
- Quando si evidenzia un foglio di lavoro in Excel e c'è più di una cella selezionata, l'intervallo di selezione viene annunciato, piuttosto che solo la cella attiva. (#763)
- Il salvataggio della configurazione e alcune opzioni importanti sono disabilitate in presenza di schermate logon o UAC.
- Espeak è aggiornata alla versione 1.44.03.
- Se NVDA è già in esecuzione, la pressione del tasto rapido ctrl+alt+n provocherà il riavvio dello screen reader.
- Rimossa la casella di controllo "annuncia il testo sotto il mouse" e sostituita con "attiva trascinamento mouse", che si adatta meglio allo script (nvda+m).
- Aggiornato il layout laptop che ora contiene tutte le scorciatoie da tastiera e funziona anche su tutte le tastiere non inglesi. (#798, #800)
- Migliorata in modo significativo la documentazione, con l'aggiunta tra l'altro di tutti i comandi tastiera anche per layout laptop e sincronizzazione automatica con la guida rapida che contiene solo i comandi da tastiera. (#455)
- Le tabelle liblouis sono aggiornate alla versione 2.1.1. Da notare un sensibile miglioramento al braille cinese e l'aggiunta di caratteri nuovi alle tabelle. (#484, #499)


== Bug corretti ==
- In µTorrent, l'elemento evidenziato nell'elenco dei torrent non viene più ripetuto continuamente e non verrà perso il focus dopo l'apertura di un menu.
- In µTorrent, ora vengono annunciati i nomi dei files nella lista torrent.
- Nelle applicazioni Mozilla, il focus viene individuato correttamente quando si finisce in una tabella vuota o in una visualizzazione ad albero.
- Nelle applicazioni Mozilla, la voce "non attivato" viene correttamente riportata nelle caselle di controllo nelle celle delle tabelle. (#571)
- Nelle applicazioni Mozilla, il testo presente nelle sezioni Aria ora viene annunciato. (#630)
- In Internet Explorer e altri controlli MShtml, vengono rispettati i livelli degli attributi nelle sezioni Aria.
- Corretto un crash abbastanza raro in Internet Explorer nella navigazione tra frames e iframes.
- Migliorata la gestione tipi e ruoli Aria in Internet Explorer.
- In Microsoft Word viene letto nuovamente il testo con righe da destra a sinistra, come la scrittura araba. (#267)
- Decisamente abbassati i tempi d'attesa in presenza di grandi quantità di testo nelle finestre Console sui sistemi a 64 bit. (#622)
- Se Skype è già attivo quando viene avviato NVDA, non è necessario riavviare Skype per attivare le opzioni di accessibilità. 
- Nelle applicazioni Microsoft Office, NVDA non crasha più alla pressione del tasto NVDA+b o esplorando le barre degli strumenti. (#616)
- Corretta la pronuncia inesatta dei numeri che contengono uno 0 dopo il separatore; esempio: 1,023. (#593)
- Adobe Acrobat Pro e Reader non crashano più in concomitanza della chiusura di un documento o altre operazioni. (#613)
- Viene correttamente annunciata la selezione del tasto alla pressione della combinazione di tasti control+a in alcuni Editor, ad esempio Microsoft Word. (#761)
- Nei controlli Scintilla (ad esempio Notepad++), il testo viene ora selezionato in maniera corretta quando NVDA si sposta con comandi dire tutto. (#746)
- Risulta nuovamente possibile esplorare il testo presente nelle celle di Microsoft Excel con il cursore di controllo.
- NVDA può nuovamente leggere alcune aree di testo problematiche in Internet Explorer 8. (#467)
- Windows Live Messenger 2009 non si chiude più all'improvviso non appena lo si esegue se NVDA è in esecuzione. (#677)
- Nei Browsers web, non è più necessario premere Tab per interagire con gli oggetti incorporati (come i contenuti di tipo flash) dopo aver premuto l'invio sull'oggetto o arrivandoci da un'altra applicazione. (#775)
- Nei controlli Scintilla (ad esempio Notepad++), l'inizio di una riga lunga non viene più troncato in concomitanza dello scorrimento dello schermo. Inoltre, queste righe verranno visualizzate correttamente in Braille quando sono selezionate.
- in LoudTalks, è ora possibile accedere all'elenco contatti.
- L'URL del documento e "MSAAHTML Registered Handler" non vengono più annunciati sporadicamente in Internet Explorer e altri controlli MSHtml. (#811)
- Nelle visualizzazioni ad albero in Eclipse Ide, l'elemento precedentemente evidenziato non viene più annunciato erroneamente quando il focus si sposta su di un altro elemento.
- NVDA ora funziona correttamente in quei sistemi dove la directory di lavoro è stata rimossa dal percorso di ricerca DLL (impostando la chiave di registro CWDIllegalInDllSearch al valore 0xFFFFFFFF). Si noti che questo non dovrebbe essere di interesse per la stragrande maggioranza degli utenti. (#907)
- Quando i comandi di navigazione tabella sono usati al di fuori di una tabella in Microsoft Word, non viene più annunciato "bordo della tabella" dopo "non in una tabella". (#921)
- Quando non ci si può più spostare in una tabella di Microsoft Word con i comandi di navigazione perche' si è raggiunto il bordo della stessa, la frase "bordo della tabella" viene ora annunciata nella lingua dell'utente piuttosto che soltanto in inglese. (#921)
- Quando si sposta il cursore principale nei buffers virtuali, il cursore di controllo è in grado di esplorare l'intero documento, non solo l'oggetto evidenziato.
- In Outlook Express, Windows Mail e Windows Live Mail, lo stato delle caselle di controllo nell'elenco regole viene riportato correttamente. (#576)
- La descrizione delle regole può essere letta anche in Windows Live Mail 2010.


= 2010.1 =
Questa release si è concentrata principalmente nella risoluzione di bug e in una maggiore facilità di approccio agli utenti, in quanto il programma ora è molto più stabile.

== Nuove caratteristiche ==
- NVDA non si rifiuterà più di avviarsi in sistemi privi di una scheda audio. Naturalmente, è auspicabile utilizzare un display braille oppure il visualizzatore sintesi vocale. (#425)
- Una casella di controllo chiamata annuncia sezioni è stata inserita nella finestra di dialogo formato documento, che permette a NVDA di annunciare le sezioni nel buffer virtuale. Per ragioni di compatibilità con le versioni precedenti, l'opzione è attivata di default.
- Se l'opzione annunciare tasti di comando è attivata, NVDA annuncerà anche i tasti multimediali (play, stop, homepage, etc) presenti in molte tastiere. (#472)
- NVDA ora annuncia la parola che viene cancellata alla pressione della combinazione ctrl+backspace nei controlli che lo prevedono. (#491)
- e'  possibile utilizzare le frecce per scorrere il testo anche nelle finestre di Web Formator. (#452)
- L'elenco contatti nella gestione indirizzi di Microsoft Office Outlook è ora supportata. 
- NVDA ora supporta meglio alcuni campi editazione incorporati in documenti in Microsoft Internet Explorer. (#402)
- Un nuovo script (NVDA+Shift+Meno del tastierino numerico) permette di spostare  il cursore di sistema alla posizione del navigatore ad oggetti.
- Nuovo script per bloccare/sbloccare i pulsanti sinistro/destro del mouse. Utile per operazioni di trascinamento. Shift+numlock+diviso per il tasto sinistro, shift+numlock+moltiplicato per il destro.
- Nuove tabelle di traduzione Braille: German 8 punti computer braille, German grade 2, Finlandese 8 punti computer braille, Cinese (Hong Kong, Cantonese), Cinese (Taiwan, Mandarino). (#344, #369, #415, #450)
- Ora è possibile in fase di installazione disabilitare la creazione del tasto caldo per avviare NVDA. (#518)
- NVDA può avvalersi delle Iaccessible2 quando presenti in applicazioni a 64 bit. (#479)
- Migliorato il supporto alle live region nelle applicazioni Mozilla. (#246)
- E' ora presente NVDA Controller Client API, che permette alle applicazioni di interagire con NVDA; ad esempio annunciare del testo, silenziare la sintesi, far apparire messaggi in Braille, etc.
- Vengono ora annunciati messaggi di informazione e di errore nelle finestre di logon in Windows Vista e Windows7. (#507)
- In Adobe Reader, i form interattivi pdf prodotti con Adobe LiveCycle sono ora accessibili. (#475)
- In Miranda Im, NVDA è in grado di annunciare automaticamente i messaggi chat, se la funzione di rilevamento cambiamento contenuto dinamico è attiva. Inoltre, sono stati aggiunti comandi per leggere gli ultimi 3 messaggi (NVDA+control+numeri). (#546)
- Nei contenuti di tipo Adobe Flash sono supportati i campi editazione. (#461)


== Cambiamenti ==
- Non viene più annunciato il messaggio ridondante di aiuto tastiera in Windows7.
- La funzione Display Synth è stata sostituita con il visualizzatore sintesi. Per attivarla, selezionare visualizzatore sintesi dal menù strumenti. Può venir utilizzato indipendentemente dal tipo di sintesi in uso. (#44)
- I messaggi nei Display Braille verranno automaticamente rimossi non appena l'utente preme un tasto che opera un cambiamento come lo spostamento del focus. In precedenza il messaggio sarebbe rimasto per tutta la durata del tempo per il quale era stato configurato.
- L'impostazione inerente se il display braille deve seguire il focus o il cursore di controllo  (NVDA+control+t) può essere modificata anche dal menù braille presente nel menù preferenze, e viene anche salvata nel file di configurazione.
- Aggiornata la sintesi Espeak alla versione 1.43.
- Aggiornato il pacchetto LibLouis alla versione 1.8.0.
- Nel buffer virtuale, è stato sensibilmente migliorato l'annuncio degli elementi quando ci si sposta o per carattere o a parole. In precedenza, venivano annunciate molte informazioni irrilevanti e il comportamento era molto diverso rispetto a quando ci si spostava riga per riga. (#490)
- Il tasto Control ora interrompe la sintesi come qualsiasi altro tasto, piuttosto che metterla in pausa. Per metterla in pausa e farla ripartire, usare il tasto shift.
- I numeri di riga e colonna di una tabella non vengono più annunciati in concomitanza con cambiamenti del focus, in quanto troppo ridondante e poco utile.


== Bug Corretti ==
- NVDA non si rifiuta più di avviarsi nel caso in cui il supporto per Ui Automation sembra esistere ma fallisce nell'inizializzazione per qualche motivo. (#483)
- L'intero contenuto della riga di una tabella non viene più annunciato sporadicamente quando viene spostato il focus all'interno di una cella nelle applicazioni Mozilla. (#482)
- NVDA non presenta più lunghi tempi d'attesa nel caso in cui si espandano elementi con visualizzazione ad albero contenenti un gran numero di sotto-elementi.
- Quando vengono elencate le voci Sapi5, NVDA intercetta voci non valide e non le include nella lista. In precedenza, in presenza di una voce difettosa, il driver Sapi5 si rifiutava di avviarsi.
- Il buffer virtuale ora rispetta l'impostazione "annuncia tasto caldo dell'oggetto", situata nella finestra di dialogo presentazione oggetti. (#486)
- Nel Buffer Virtuale, le coordinate riga/colonna non vengono più lette in maniera non corretta per intestazioni di riga e colonna quando l'annuncio delle tabelle è disattivato.
- Nel Buffer Virtuale, le coordinate riga/colonna vengono lette correttamente quando si esce da una tabella e poi si ritorna nella medesima cella, senza esplorare altre celle; ad esempio premendo freccia su e poi freccia giù nella prima cella di una tabella. (#378)
- Le linee vuote in documenti Microsoft Word e nei controlli editazione Microsoft HTML vengono ora visualizzate in maniera appropriata in Braille. In precedenza, NVDA mostrava la frase attuale, non la riga. (#420)
- Risolti molti problemi di sicurezza quando NVDA deve interagire con finestre di Logon e altri controlli UAC. (#515)
- Viene correttamente aggiornata la posizione del cursore di sistema quando si impartisce il comando dire tutto per cui il cursore arriva a fine schermo e deve scorrere, nei campi editazione standard di Windows e nei documenti Microsoft Word. (#418)
- Nel Buffer Virtuale, il testo non è più incluso non correttamente per immagini all'interno di links e controlli cliccabili che sono irrilevanti per gli screen readers. (#423)
- Correzioni al Layout tastiera Laptop. (#517)
- Quando il Braille segue il cursore di controllo e ci si trova in una finestra Dos, tale cursore può ora esplorare correttamente il testo.
- Quando si utilizza TeamTalk3 o TeamTalk4 Classic, la barra di avanzamento Vu Meter nella finestra principale non viene più annunciata ogni volta che si aggiorna. Vengono anche letti correttamente caratteri speciali nella finestra dei messaggi ricevuti.
- Nel Menù Avvio di Windows7, gli elementi non vengono più letti due volte. (#474)
- L'attivazione di links sulla stessa pagina in Mozilla Firefox 3.6 sposta ora il buffer virtuale nel posto esatto.
- Risolto un problema che non permetteva la lettura del testo in alcuni documenti pdf.
- NVDA non interpreta più erroneamente certi numeri scritti col trattino; esempio 500-1000. (#547)
- In Windows Xp, NVDA non provoca più il rallentamento in Internet Explorer quando vengono attivate/disattivate le caselle di controllo. (#477)
- Quando viene usata la sintesi interna ESpeak, l'emissione simultanea di parole e beep non provoca più il rallentamento in alcuni sistemi. Questo accadeva soprattutto nella copia di grosse quantità di dati in Windows Explorer.
- NVDA non annuncia più quando un documento in Firefox diventa occupato (dovuto ad esempio ad un aggiornamento) quando quel documento è in secondo piano. Questo provocava anche l'annuncio sporadico delle barre di stato di alcuni programmi.
- Quando si cambia il tipo di tastiera con control+Shift o Alt+Shift, viene annunciato il nome completo del layout sia in voce che in braille. In precedenza, veniva annunciato solo dalla sintesi vocale e Layout alternativi come Dvorak non venivano riportati.
- Se l'annuncio delle tabelle è disattivato, informazioni sulla tabella non vengono più riportate quando il focus cambia.
- Alcuni controlli standard nelle visualizzazioni ad albero in applicazioni a 64 bit (ad esempio la visualizzazione ad albero in Microsoft HTML Help) sono ora accessibili. (#463)
- Risolti alcuni problemi mentre vengono loggati messaggi contenenti caratteri non ascii.  Questo causava errori casuali su sistemi non inglesi. (#581)
- I contenuti presenti nella finestra informazioni vengono ora presentati nella lingua dell'utente e non solo in inglese. (#586)
- Sono stati risolti i problemi quando si utilizzano le opzioni per cambiare al volo i parametri del sintetizzatore dopo aver cambiato la voce in una che dispone di meno settaggi della precedente.
- In Skype 4.2, i nomi dei contatti non vengono più annunciati due volte mentre si scorre la lista contatti.
- Sistemati alcuni potenziali problemi con la memoria con interfacce Gui e con i buffer virtuali. (#590, #591)
- Risolto un fastidioso bug che provocava il crash quando si utilizzavano alcune voci Sapi4. (#597)


= 2009.1 =
Le maggiori novità di questa release riguardano la capacità di funzionare anche con le versioni a 64 bit di Windows; migliorato sensibilmente il supporto ai documenti Adobe Reader e Microsoft Internet Explorer; supporto a Windows7; lettura delle finestre di Logon, schermate Control+Alt+Canc e UAC (User Account Control); e l'abilità di interagire con i controlli Adobe Flash e Sun Java nelle pagine web. Inoltre ci sono stati grossissimi miglioramenti per quel che riguarda la stabilità e l'interfaccia utente.

== Nuove Caratteristiche ==
- Supporto ufficiale alle versioni a 64 bit di Windows! (#309)
- Aggiunto il supporto ai sintetizzatori Newfon. (nota, non commercializzato in Italia, richiede una speciale versione del sintetizzatore e la lingua parlata è russo ed ucraino). (#206)
- Nel buffer virtuale, le impostazioni della modalità focus o della modalità buffer virtuale possono venir riportate tramite suoni, che e' l'impostazione predefinita, oltre che normalmente annunciate a parole. In pratica, vi saranno dei beep all'attivazione/disattivazione della modalità focus. (#244)
- La sintesi vocale non smette più di funzionare quando l'utente modifica il volume con la tastiera, naturalmente per quelle tastiere che prevedono tale funzione, permettendo quindi di continuare ad usare lo screen reader correttamente. (#287)
- totalmente riscritto il supporto per Internet Explorer e Acrobat Reader. Tale funzione è stata inglobata con il supporto per Firefox, cosicche' ora è possibile utilizzare tutte le facilitazioni e i tasti rapidi presenti, nonche' il supporto braille nelle pagine web. Non ci dovrebbero essere più differenze tra Firefox e Internet Explorer in fase di navigazione.
- migliorata la gestione del controllo della selezione Data/ora in Windows Vista.
- Migliorato il supporto al nuovo menù di avvio di Windows Xp, in special modo dalla voce tutti i programmi, i livelli vengono pronunciati correttamente.
- La quantità di testo che viene letta scorrendo con il mouse ora è configurabile dalle impostazioni Mouse: le scelte disponibili sono paragrafo, riga, parola e carattere.
- In Microsoft Word ora vengono notificati gli errori ortografici della parola corrente.
- Supporto per il controllo ortografico di Microsoft Word 2007. Altre versioni di Word possono funzionare ma non è garantito.
- Supporto per Windows Mail, nello specifico, vengono letti correttamente anche i messaggi in testo semplice.
- In Windows Vista, quando appare la finestra di sicurezza di richiesta di autorizzazione dell'utente, oppure quando l'utente preme ctrl+alt+canc, NVDA notifica che non ci si trova più nell'interfaccia classica ed accessibile.
- NVDA è in grado di leggere il testo sotto il Mouse anche nelle finestre Dos.
- Supporto per la tecnologia Ui Automation  presente in Windows7, che renderà la gestione di tale sistema operativo molto più agevole da parte dello screen reader.
- NVDA può essere impostato in modo da venir eseguito automaticamente all'avvio di Windows, subito dopo aver effettuato il login, sempre che ve ne sia bisogno. L'opzione si trova nella schermata di configurazione generale, solo per NVDA Installer.
- NVDA è in grado di leggere le videate inerenti la sicurezza, le finestre di login e quelle generate premendo la combinazione di tasti ctrl+alt+canc, a partire da Windows XP in poi. Anche questa impostazione la si trova in preferenze, impostazioni generali, solo per NVDA Installer. (#97)
- Aggiunto un driver per i display Braille Optelec ALVA BC6 series.
- In una pagina web, è possibile premere i tasti n e shift+n per saltare interi blocchi di link.
- In una pagina web, vengono riportate le "sezioni", in inglese ARIA Landmarks. E' possibile passare da una sezione all'altra con i tasti d o Shift+d. (#192)
- L'elenco dei links che si richiamava con la combinazione di tasti NVDA+f7 è ora diventata una finestra di dialogo con la possibilità da parte dell'utente di filtrare cosa visualizzare tra links, intestazioni e sezioni. Si noti che intestazioni e sezioni vengono presentate in modo gerarchico. (#363)
 - Questa nuova finestra di dialogo è in grado di filtrare anche gli elementi man mano che l'utente scrive. Esempio aggiuntivo del traduttore di questo documento: se premiamo NVDA+f7, e ci troviamo con un elenco di 55 links ed iniziamo a scrivere qualcosa, per esempio la lettera l, ci verranno mostrati solo quei links che contengono al loro interno la lettera l. Possiamo scrivere qualunque cosa, anche parole intere, in questo modo andremo direttamente sul link o l'elemento specifico, ad esempio se scrivo "video", e tale elemento esiste sulla pagina, mi verrà visualizzato soltanto il link "video" e premendo invio verrà attivato. Si noti che premendo Backspace verranno resettati i filtri e tutti gli elementi saranno visualizzati nuovamente. (#173)
- La versione portatile di NVDA ora ricerca le configurazioni dell'utente nella cartella user Config situata all'interno della cartella NVDA. In questo modo, come avviene con la versione installer, seppur con percorsi diversi, le configurazioni dell'utente sono indipendenti dalla struttura principale di NVDA.
- Moduli personalizzati per le applicazioni, driver di sintesi vocali e driver per Display Braille possono essere salvati nella cartella userConfig. (#337)
- L'elaborazione di lunghi o complessi documenti riguardanti il buffer virtuale vengono effettuati in background, in modo che l'utente possa interagire con il sistema operativo in altro modo, verrà avvisato non appena il documento sarà stato processato e pronto all'uso.
- Se NVDA si accorge di non funzionare più correttamente, tutti i tasti premuti dall'utente non verranno più intercettati dallo screen reader, in modo da facilitare l'utilizzatore nelle operazioni di recupero del sistema.
- Supporto per le operazioni di trascinamento nei controlli Aria in Mozilla Gecko. (#239)  
- Il titolo di un documento e la riga corrente o quella selezionata viene ora annunciato quando il focus viene spostato all'interno del buffer virtuale. (#210)
- Nel Buffer virtuale, è possibile interagire con gli oggetti Adobe Flash o Sun Java premendo invio su di essi. Se l'oggetto è accessibile, premere tab e comportarsi come con qualsiasi altra applicazione. Per ritornare nel buffer virtuale premere NVDA+spazio. (#431)
- Nel Buffer Virtuale, premere O oppure Shift O per spostarsi all'oggetto successivo o precedente.
- NVDA è in grado di funzionare con le applicazioni che richiedono privilegi di amministratore in Windows Vista e successivi. Si noti che questo è valido solo per le versioni installer, non portable. (#397)


== Cambiamenti ==
- NVDA non pronuncia più "NVDA avviato" quando viene lanciato.
- I suoni di avvio e chiusura dello screen reader vengono eseguiti utilizzando le impostazioni di output scheda audio presenti in NVDA, piuttosto che quelle predefinite di sistema. (#164)
- Migliorata la gestione delle barre di avanzamento. Ora è possibile selezionare come NVDA deve avvertire l'utente sul loro stato, o con segnali acustici, o a parole, o con entrambe le cose.
- Alcuni ruoli generici come pannello, applicazione e frame, non vengono più annunciati se evidenziati a meno che il controllo non abbia un nome.
- Il comando copia dal cursore di controllo (NVDA+f10) copia il testo dal marcatore iniziale fino alla posizione del cursore di controllo, invece di non tenere conto della posizione. Questo permette la copia dell'ultimo carattere di una riga che in precedenza non era possibile. (#430)
- Lo script navigatorObject_where (ctrl+NVDA+numpad5) è stato rimosso in quanto non funzionava su tutte le tastiere. 
- Lo script direPosizioneNavigatoreOggetti è stato assegnato alla combinazione di tasti NVDA+Canc del tastierino numerico. Prima non funzionava su tutte le tastiere. Lo script ora annuncia anche altezza e larghezza dell'oggetto.
- Migliorate le prestazioni (specialmente con i netbooks) quando vi sono molti beeps in rapida successione, ad esempio rapidi movimenti del mouse con coordinate audio attivate. (#396)
- Il suono di errore di NVDA non viene più riprodotto nelle versioni candidate e definitive, anche se gli errori vengono comunque loggati.


== Bug corretti ==
- Quando NVDA viene eseguito da un percorso Dos standard, nome di 8 caratteri seguito da un punto e estensioni di 3 caratteri, ma è installato nel relativo percorso con nome lungo (esempio:  progra~1 punta a programmi), NVDA  sarà in grado di identificare che si sta eseguendo una versione installata e caricherà i settaggi dell'utente.
- la funzione insert+t che permette di leggere il titolo della finestra corrente ora funziona anche se premuta all'interno di un menù.
- non vengono più visualizzate informazioni inutili sulla riga Braille in presenza di elementi non etichettati.
- Non vengono più annunciate informazioni inutili quando si passa da un elemento ad un altro in applicazioni Java o lotus-notes.
- Migliorata la gestione delle ricerche nelle finestre di aiuto delle applicazioni (.hlp, .chm).
- Viene riportato correttamente il numero di pagina nei documenti Word.
- Migliorato il supporto della gestione dei campi editazione in Microsoft Word nelle finestre di dialogo, ad esempio quella inerente la gestione caratteri/font. Utilizzare i tasti cursore per navigare in questi controlli.
- Migliorato il supporto alle finestre del prompt dei comandi, soprattutto in quelle circostanze in cui NVDA non riconosceva alcun carattere.
- In Windows Vista e versioni successive l'Installer di NVDA eseguirà il programma con i privilegi effettivi dell'utente quando la casella di controllo Esegui NVDA è attivata.
- Il tasto Backspace ora non crea più problemi quando NVDA è configurato per pronunciare le parole digitate.
- Non viene più riportata erroneamente la voce menù avvio in alcuni menù di contesto in esplora risorse. (#257)
- NVDA ora interpreta correttamente le etichette Aria in Mozilla Gecko quando non esiste altro contenuto. (#156)
- NVDA non abilita più automaticamente la modalità focus nei campi editazione di testo che aggiornano il proprio valore quando cambia il focus; ad esempio http://tigerdirect.com/. (#220)
- NVDA cercherà di recuperare alcune situazioni nelle quali in precedenza si bloccava per lunghi periodi. Sono necessari circa 10 secondi allo screen reader per riavviarsi.
- Quando la lingua di NVDA è impostata su "User Default", viene usata la lingua scelta dall'utente nelle impostazioni lingua di Windows, piuttosto che altre opzioni. (#353)
- NVDA ora riconosce l'esistenza di controlli in AIM7.
- Il comando passa tasto attraverso non presenta più problemi se un tasto viene tenuto premuto. In precedenza NVDA si rifiutava di accettare comandi quando questo capitava.  (#413)
- La barra delle applicazioni non viene più ignorata quando viene evidenziata, che accade spesso quando si esce da un programma. In precedenza, NVDA si comportava come se il focus non fosse cambiato affatto.
- Quando si legge del testo in applicazioni che fanno uso di Java Access Bridge (incluso OpenOffice.org), NVDA ora funziona correttamente quando l'opzione dire i numeri di riga è abilitata.
- Il comando Copia dal cursore di controllo (NVDA+f10) ora prevede la circostanza in cui venga usato prima del marcatore d'inizio.  In precedenza, questo poteva causare problemi, come il crash in Notepad++.
- Il carattere di controllo (0x1) non provoca più strani comportamenti di Espeak come cambio di volume o tono quando viene incontrato. (#437)
- Il comando dire testo selezionato (NVDA+Shift+freccia su) ora avverte che non esiste alcuna selezione in oggetti che non supportano la selezione del testo.
- Risolto un problema che provocava il blocco di NVDA durante la pressione di alcuni bottoni o links in Miranda IM. (#440)
- La riga o la selezione corrente viene rispettata quando viene fatto lo spelling o viene copiato l'oggetto attuale del navigatore.
- Si è cercato di lavorare su un bug di Windows che provocava la lettura di caratteri senza senso dopo il nome dei link nelle finestre di dialogo in Esplora risorse e Internet Explorer. (#451)
- Risolto un problema con il comando Annuncia data/ora (NVDA+f12). In precedenza, l'annuncio della data veniva troncato in alcuni sistemi. (#471)
- Risolto un problema che provocava inavvertitamente la cancellazione del flag Screen Reader di sistema dopo aver interagito con le schermate di sicurezza di Windows. Questo poteva creare delle difficoltà a quelle applicazioni che controllano il flag Screen Reader di Sistema come Skype, Adobe Reader e Jart. (#462)
- Nelle caselle combinate di  Internet Explorer 6, viene annunciato l'elemento attivo quando cambia. (#342)


= 0.6P3 =

== Nuove caratteristiche ==
- Poiche' la gestione Formule in Excel è inacessibile a NVDA, viene fornita una specifica finestra di dialogo con campi editazione modificabili dall'utente.
- Supporto alla formattazione nei controlli di testo Iaccessible2, comprese le applicazioni Mozilla.
- Gli errori grammaticali ora possono essere annunciati dove possibile. Questo è configurabile dalla finestra di dialogo formato documento.
- NVDA può essere configurato ad emettere beep per tutte le barre di progresso o solo per quelle visibili. In alternativa, NVDA può essere configurato ad annunciare il valore delle barre di progresso ogni 10%.
- I links possono essere individuati nei controlli Richedit.
- Ora il mouse può essere spostato alla posizione del carattere del cursore di controllo nella maggior parte dei controlli di testo editabili. In precedenza il mouse poteva essere spostato solo al centro del controllo.
- Nei buffer virtuali, il cursore di controllo ora può esplorare il testo del buffer, piuttosto che soltanto il testo interno del navigatore ad oggetti (che spesso non è utile all'utente). Questo significa che è possibile esplorare la gerarchia del buffer virtuale utilizzando la navigazione ad oggetti e il cursore di controllo si sposterà in quel punto del buffer.
- Prevista la gestione di alcuni stati aggiuntivi dei controlli Java.
- Se il comando dire titolo (NVDA+t) viene premuto due volte, verrà fatto lo spelling del titolo. Se premuto tre volte, verrà copiato negli appunti.
- L'aiuto tastiera ora è in grado di leggere i nomi dei tasti funzione se premuti da soli.
- I nomi dei tasti annunciati dall'aiuto tastiera sono ora traducibili.
- Aggiunto il supporto ai campi di testo riconosciuto in SiRecognizer. (#198)
- Supporto per i Display Braille!
- Aggiunto un comando (NVDA+c) per annunciare il testo contenuto negli appunti. (#193)
- Nei Buffers Virtuali, se NVDA passa automaticamente alla modalità Focus, si può usare il tasto Esc per tornare alla modalità esplorazione. NVDA+spazio può ancora essere utilizzato.
- Nei buffer virtuali, quando il focus cambia o il cursore viene spostato, NVDA può passare automaticamente alla modalità focus o esplorazione a seconda del controllo sul cursore. L'opzione è configurabile dalle impostazioni del buffer virtuale. (#157)
- Riscritto il Driver per i sintetizzatori Sapi4 che prende il posto dei due driver precedenti Microsoft e Serotek, e che dovrebbe risolvere i problemi che si incontravano con quest'ultimi.
- L'applicazione NVDA ora include il Manifest, che significa che non viene più eseguita in modalità compatibilità in Windows Vista.
- Il file di configurazione e i dizionari vengono salvati nella cartella dati applicazione dell'utente se è stato usato l'Installer. Questo è necessario in Windows Vista e permette a più utenti di avere configurazioni diverse di NVDA.
- Aggiunto il supporto per informazioni sulla posizione per i controlli IAccessible2.
- Inserita la possibilità di copiare testo negli appunti utilizzando il cursore di controllo. NVDA+f9 imposta il marcatore iniziale alla posizione attuale del cursore di controllo. NVDA+f10 recupera il testo tra il marker iniziale e la posizione attuale del cursore di controllo e lo copia negli appunti. (#240)
- Aggiunto il supporto ad alcuni campi editazione in Programmi Pinacle Tv.
- Quando viene annunciata una gran quantità di testo selezionato (sopra i 512 caratteri), NVDA ora dice il numero di caratteri selezionati piuttosto che annunciare l'intera selezione. (#249)


== Cambiamenti ==
- Se il dispositivo d'uscita audio è impostato a quello predefinito di Windows (Microsoft sound mapper), NVDA ora passerà al nuovo dispositivo predefinito per Espeak e i Toni quando il dispositivo predefinito cambia. Ad esempio, NVDA passerà su una scheda audio USB se essa è quella predefinita e viene connessa.
- Migliorate le prestazioni di Espeak con alcuni drivers audio per Windows Vista.
- L'annuncio di links, intestazioni, tabelle, elenchi e blocchi tra virgolette può essere configurato dalla finestra di dialogo formato documento. In precedenza per configurare queste impostazioni per il buffer virtuale, questi parametri erano situati nella finestra buffer virtuale. 
- La velocità ora è l'impostazione predefinita quando si cambiano al volo i parametri del sintetizzatore.
- Migliorato il caricamento e lo scaricamento di moduli aggiuntivi (appmodules).
- Il comando dire titolo (NVDA+t) ora annuncia solo il titolo piuttosto che l'intero oggetto. Se l'oggetto in primo piano non ha un nome, viene usato il nome del processo dell'applicazione.
- Invece della dicitura passa attraverso il buffer virtuale attivato/disattivato, NVDA annuncerà modalità focus o modalità esplorazione.
- Le voci ora vengono salvate nel file di configurazione con l'ID invece che con l'indice. (#19)
- Il livello degli elementi nelle visualizzazioni ad albero è ora annunciato per prima se è stato cambiato dall'elemento precedentemente evidenziato per tutte le visualizzazioni ad albero. In precedenza, questo avveniva solo per le finestre di visualizzazioni ad albero native (SysTreeView32).


== Bug risolti ==
- L'ultimo frammento d'audio non viene più troncato quando si usa NVDA con Espeak in un server desktop remoto.
- Risolto un problema nel salvataggio dizionari per alcune voci.
- Eliminato il ritardo quando ci si sposta per unità diverse dal carattere (parole, righe, etc) fino alla fine del documento nel buffer virtuale nelle applicazioni Mozilla Gecko. (#155)
- Se è abilitata la funzione leggi parole digitate, la parola viene annunciata anche quando viene premuto invio.
- Risolti alcuni problemi con set di caratteri in documenti richedit.
- Il visualizzatore log di NVDA ora utilizza RichEdit piuttosto che soltanto edit per mostrare i log. Questo migliora la lettura parola per parola in NVdA.
- Risolti alcuni problemi relativi agli oggetti incorporati in controlli richedit.
- NVDA ora legge i numeri di pagina in Microsoft Word. (#120)
- Risolto il problema laddove giungendo con il tab in una casella di controllo attivata con il buffer virtuale in Mozilla Gecko, premendo il tasto spazio non veniva notificato che la casella diventava disattivata.
- Le caselle di controllo parzialmente attivabili sono ora annunciate correttamente nelle applicazioni Mozilla.
- Se la selezione del testo si espande o si restringe in entrambe le direzioni, la selezione verrà letta come una sola porzione anziché due.
- Quando si legge con il mouse, il testo nei campi editazione Mozilla Gecko ora dovrebbe venir annunciato.
- Dire tutto non dovrebbe più causare crash con sintesi Sapi5.
- Risolto un problema che faceva in modo che i cambiamenti di selezione del testo non venivano letti nei controlli standard di Windows.
- Sistemato il trascinamento Mouse negli oggetti Java. (#185)
- NVDA non annuncia più elementi nella visualizzazione ad albero Java come espandibili se non hanno sottoelementi.
- Annuncio dell'oggetto con il focus quando una finestra Java appare in primo piano.
- Il Driver della sintesi Espeak non smette più di parlare dopo un errore.
- Risolto un problema che non permetteva il salvataggio dei parametri della voce se modificati al volo e non tramite menù.
- Migliorata la lettura delle parole e dei caratteri digitati.
- Alcuni frammenti di testo che prima non venivano letti (esempio giochi di avventura nelle console di testo) ora vengono correttamente annunciati.
- NVDA ora ignora i cambiamenti del focus nelle finestre in secondo piano.
- Migliorato il rilevamento del focus quando si esce dai menù di contesto.
- NVDA ora annuncia quando viene attivato un menù di contesto nel menù avvio.
- Il menù avvio classico di Windows è annunciato come menù avvio invece che menù applicazione.
- Migliorata la gestione degli avvisi, ad esempio quelli incontrati in Mozilla Firefox. Il testo non verrà più letto molte volte. (#248)
- Il testo di campi editazione evidenziabili e di sola lettura non verrà più incluso quando vengono recuperate informazioni sulle finestre di dialogo. Questo risolve, ad esempio, la lettura automatica delle intere licenze negli installer.
- NVDA non annuncia più la deselezione del testo uscendo da certi campi editazione (esempio: barra degli indirizzi di Internet Explorer, campi indirizzi in Thunderbird3).
- Quando viene aperta un'email solo testo in Outlook Express e Windows Mail, il focus viene correttamente posizionato sul messaggio, che diventa pronto alla lettura. In precedenza l'utente era costretto ad avvalersi del tasto tab per accedere al messaggio.
- Risolti molti problemi con la funzione "leggi i tasti di comando".
- NVDA può leggere testi più lunghi di 65535 caratteri nei controlli editazione standard (ad esempio Notepad).
- Migliorata la lettura delle righe nei controlli editazione MSHTML (campi di immissione testo in Internet Explorer e messaggi modificabili in Microsoft Outlook Express).
- NVDA non si blocca più quando legge il testo in OpenOffice. (#148, #180)


= 0.6p2 (da qui in inglese)=
- Improved the default ESpeak voice in NVDA
- Added a laptop keyboard layout. Keyboard layouts can be configured from NVDA's  Keyboard settings dialog. (#60)
- Support for grouping items in SysListView32 controls, mainly found in Windows Vista. (#27)
- Report the checked state of treeview items in SysTreeview32 controls.
- Added shortcut keys for many of NVDA's configuration dialogs
- Support for IAccessible2 enabled applications such as Mozilla Firefox when running NVDA from portable media, with out having to register any special Dll files
- Fix a crash with the virtualBuffers Links List in Gecko applications. (#48)
- NVDA should no longer crash Mozilla Gecko applications such as Firefox and Thunderbird if NVDA is running with higher privilages than the Mozilla Gecko application. E.g. NVDA is  running as Administrator.
- Speech dictionaries (previously User dictionaries) now can be either case sensitive or insensitive, and the patterns can optionally be regular expressions. (#39)
- Whether or not NVDA uses a 'screen layout' mode for virtual buffer documents can now be configured from a settings dialog
- No longer report anchor tags with no href in Gecko documents as links. (#47)
- The NVDA find command now remembers what you last searched for, across all applications. (#53)
- Fix issues where the checked state would not be announced for some checkboxes and radio buttons in virtualBuffers
- VirtualBuffer pass-through mode is now specific to each document, rather than NVDA globally. (#33)
- Fixed some sluggishness with focus changes and incorrect speech interuption which sometimes occured when using NVDA on a system that had been on standby or was rather slow
- Improve support for combo boxes in Mozilla Firefox. Specifically when arrowing around them text isn't repeated, and when jumping out of them, ancestor controls are not announced unnecessarily. Also virtualBuffer commands now work when focused on one  when you are in a virtualBuffer.
- Improve accuracy of finding the statusbar in many applications. (#8)
- Added the NVDA interactive Python console tool, to enable developers to look at and manipulate NVDA's internals as it is running
- sayAll, reportSelection and reportCurrentLine scripts now work properly when in virtualBuffer pass-through mode. (#52)
- The increase rate and decrease rate scripts have been removed. Users should use the synth settings ring scripts (control+nvda+arrows) or the Voice settings dialog
- Improve the range and scale of the progress bar beeps
- Added more quick keys to the new virtualBuffers:  l for list, i for list item, e for edit field, b for button, x for checkbox, r for radio button, g for graphic, q for blockquote, c for combo box, 1 through 6 for respective heading levels, s for separator, m for frame. (#67, #102, #108)
- Canceling the loading of a new document in Mozilla Firefox now allows the user to keep using the old document's virtualBuffer if the old document hadn't yet really been destroyed. (#63)
- Navigating by words in virtualBuffers is now more accurate as  words do not accidentally contain text from more than one field. (#70)
- Improved accuracy of focus tracking and focus updating when navigating in Mozilla Gecko virtualBuffers.
- Added a findPrevious script (shift+NVDA+f3) for use in new virtualBuffers
- Improved sluggishness in Mozilla Gecko dialogs (in Firefox and Thunderbird). (#66)
- Add the ability to view the current log file for NVDA. it can be found in the NVDA menu -> Tools
- Scripts such as say time and date now take the current language in to account; punctuation and ordering of words now reflects the language
- The language combo box in NVDA's General settings dialog now shows full language names for ease of use
- When reviewing text in the current navigator object, the text is always up to date if it changes dynamically. E.g. reviewing the text of a list item in Task Manager. (#15)
- When moving with the mouse, the current paragraph of text under the mouse is now announced, rather than either all the text in that particular object or just the current word. Also audio coordinates, and announcement of object roles is optional, they are turned off by default
- Support for reading text with the mouse in Microsoft Word
- Fixed bug where leaving the menu bar in applications such as Wordpad would cause text selection to not be announced anymore
- In Winamp, the title of the track is no longer announced again and again when switching tracks, or pausing/resuming/stopping playback.
- In Winamp,  Added ability to announce state of the shuffle and repeat controls as they are switched. Works in the main window and in the playlist editor
- Improve the ability to activate particular fields in Mozilla Gecko virtualBuffers. May include clickable graphics, links containing paragraphs, and other weird structures
- Fixed an initial lag when opening NVDA dialogs on some systems. (#65)
- Add specific support for the Total Commander application
- Fix bug in the sapi4serotek driver where the pitch could get locked at a particular value, i.e. stays high after reading a capital letter. (#89)
- Announce clickable text and other fields as clickable in Mozilla Gecko VirtualBuffers. e.g.  a field which has an onclick HTML attribute. (#91)
- When moving around Mozilla Gecko virtualBuffers, scroll the current field in to view -- useful so sighted peers have an idea of where the user is up to in the document. (#57)
- Add basic support for ARIA live region show events in IAccessible2 enabled applications. Useful in the Chatzilla IRC application, new messages will now be read automatically
- Some slight improvements to help use ARIA enabled web applications,  e.g. Google Docs
- Stop adding extra blank lines to text when copying it from a virtualBuffer
- Stop the space key from activating a link in the Links List. Now it can be used like other letters in order to  start typing the name of a particular link you wish to go to
- The moveMouseToNavigator script (NVDA+numpadSlash) now moves the mouse to the centre of the navigator object, rather than the top left
- Added scripts to click the left and right mouse buttons (numpadSlash and numpadStar respectively)
- Improve access to the Windows System Tray. Focus hopefully should no longer seem to keep jumping back to one particular item. Reminder: to get to the System Tray use the Windows command WindowsKey+b. (#10)
- Improve performance and stop announcing extra text when holding down a cursor key in an edit field and it hits the end
- Stop the ability for NVDA to make the user wait while particular messages are spoken. Fixes some crashes/freezes with particular speech synthesizers. (#117)
- Added support for the Audiologic Tts3 speech synthesizer, contribution by Gianluca Casalino. (#105)
- Possibly improve performance when navigating around documents in Microsoft Word
- Improved accuracy when reading text of alerts in Mozilla Gecko applications
- Stop possible crashes when trying to save configuration on non-English versions of Windows. (#114)
- Add an NVDA welcome dialog. This dialog is designed to provide essential information for new users and allows CapsLock to be configured as an NVDA modifier key. This dialog will be displayed when NVDA is started by default until it is disabled.
- Fix basic support for Adobe Reader so it is possible to read documents  in  versions 8 and 9
- Fix some errors that may have occured when holding down keys before NVDA is properly initialized
- If the user has configured NVDA to save configuration on exit, make sure the configuration is properly saved when shutting down or logging out of  Windows.
- Added an NVDA logo sound to the beginning of the installer, contributed by Victer Tsaran
- NVDA, both running in the installer and otherwise, should properly clean up its system tray icon when it exits
- Labels for standard controls in NVDA's dialogs (such as Ok and cancel buttons) should now show in the language NVDA is set to, rather than just staying in English.
- NVDA's icon should now be  used for  the NVDA shortcuts in the start menu and on the Desktop, rather than a default application icon.
- Read cells in MS Excel when moving with tab and shift+tab. (#146)
- Fix some double speaking in particular lists in Skype.
- Improved caret tracking in IAccessible2 and Java applications; e.g. in Open Office and Lotus Symphony, NVDA properly waits for the caret to move in documents rather than accidentally reading the wrong word or line at the end of some paragraphs. (#119)
- Support for AkelEdit controls found in Akelpad 4.0
- NVDA no longer locks up in Lotus Synphony when moving from the document to the menu bar.
- NVDA no longer freezes in the Windows XP Add/Remove programs applet when launching an uninstaller. (#30)
- NVDA no longer freezes when opening Spybot Search and Destroy


= 0.6p1 =

== Access to web content with new in-process virtualBuffers (so far for Mozilla Gecko applications including Firefox3 and Thunderbird3) ==
- Load times have been improved almost by a factor of thirty (you no longer have to wait at all for most web pages to load in to the buffer)
- Added a links list (NVDA+f7)
- Improved the find dialog (control+nvda+f) so that it performs a case-insencitive search, plus fixed a few focus issues with that dialog box.
- It is now possible to select and copy text in the new virtualBuffers
- By default the new virtualBuffers represent the document in a screen layout (links and controls are not on separate lines unless they really are visually). You can toggle this feature with NVDA+v.
- It is possible to move by paragraph with control+upArrow and control+downArrow.
- Improved support for dynamic content
- Improved over all accuracy of reading lines and fields when arrowing up and down.


== Internationalization ==
- It is now possible to type accented characters that rely on a "dead character", while NVDA is running.
- NVDA now announces when the keyboard layout is changed (when pressing alt+shift).
- The announce date and time feature now takes the system's current regional and language options in to account.
- added czech translation (by Tomas Valusek with help from Jaromir Vit)
- added vietnamese translation by Dang Hoai Phuc
- Added Africaans (af_ZA) translation, by Willem van der Walt.
- Added russian translation by Dmitry Kaslin 
- Added polish translation by DOROTA CZAJKA and friends.
- Added Japanese translation by Katsutoshi Tsuji.
- added Thai translation by Amorn Kiattikhunrat
- added croatian translation by Mario Percinic and Hrvoje Katic  
- Added galician translation by Juan C. buno 
- added ukrainian translation by Aleksey Sadovoy 


== Speech ==
- NVDA now comes packaged with eSpeak 1.33 which contains many improvements, among those are improved languages, named variants, ability to speak faster.
- The voice settings dialog now allows you to change the variant of a synthesizer if it supports one. Variant is usually a slight variation on the current voice. (eSpeak supports variants).
- Added the ability to change the inflection of a voice in the voice settings dialog if the current synthesizer supports this. (eSpeak supports inflection).
- Added the ability to turn off speaking of object position information(e.g. 1 of 4). This option can be found in the Object presentation settings dialog.
- NVDA can now beep when speaking a capital letter. This can be turned on and off with a check box in the voice settings dialog. Also added a raise pitch for capitals check box to configure whether NVDA should actually do its normal pitch raise for capitals. So now you can have either raise pitch, say cap, or beep, for capitals.
- Added the ability to pause speech in NVDA (like found in Voice Over for the Mac). When NVDA is speaking something, you can press the control or shift keys to silence speech just like normal, but if you then tap the shift key again (as long as you havn't pressed any other keys) speech will continue from exactly where it left off.
- Added a virtual synthDriver which outputs text to a window instead of speaking via a speech synthesiser. This should be more pleasant for sighted developers who are not used to speech synthesis but want to know what is spoken by NVDA. There are probably still some bugs, so feedback is most definitely welcome.
- NVDA no longer by default speaks punctuation, you can enable speaking of punctuation with NVDA+p.
- eSpeak by default now speaks quite a bit slower, which should make it easier for people who are using eSpeak for the first time, when installing or starting to use NVDA.
- Added user dictionaries to NVDA. These allow you to make NVDA speak certain text differently. There are three dictionaries: default, voice, and temporary. Entries you add to the default dictionary will happen all the time in NVDA. Voice dictionaries are specific to the current synthesizer and voice you currently have set. And temporary dictionary is  for those times you quickly want to set a rule while you are doing a particular task, but you don't want it to be perminant (it will disappear if you close NVDA). For now the rules are regular expressions, not just normal text.
- Synthesizers can now use any audio output device on your system, by setting the output device combo box in the Synthesizer dialog before selecting the synthesizer you want.


== Performance ==
- NVDA no longer takes up a huge amount of system memory , when editing messages in mshtml edit controls
- Improved performance when reviewing text inside many controls that do not actually have a real cursor. e.g. MSN Messenger history window, treeview items, listview items etc.
- Improved performance in rich edit documents.
- NVDA should no longer slowly creep up in system memory size for no reason
- Fixed bugs when  trying to focus on a dos console window more than three or so times. NVDA did have a tendency to completely crash.


== Key commands ==
- NVDA+shift+numpad6 and NVDA+shift+numpad4 allow you to navigate to the next or previous object in flow respectively. This means that you can navigate in an application by only using these two keys with out having to worry about going up by parent, or down to first child as you move around the object hyerarchy. For instance in a web browser such as firefox, you could navigate the document by object, by just using these two keys. If next in flow or previous in flow takes you up and out of an object, or down in to an object, ordered beeps indicate the direction.
- You can now configure voice settings with out opening the voice settings dialog, by using the Synth Settings Ring. The synth settings ring is a group of voice settings you can toggle through by pressing control+NVDA+right and control+NVDA+left. To change a setting use control+NVDA+up and control+NVDA+down.
- Added a command to report the current selection in edit fields (NVDA+shift+upArrow).
- Quite a few NVDA commands that speak text (such as report current line etc) now can spell the text if pressed twice quickly.
- the capslock, numpad insert and extended insert can all be used as the NVDA modifier key. Also if one of these keys is used, pressing the key twice with out pressing any other keys will send the key through to the operating system, just like you'd pressed the key with out NVDA running. To make one of these keys be the NVDA modifier key, check its checkbox in the Keyboard settings dialog (used to be called the keyboard echo dialog).


== Application support ==
- Improved support for Firefox3 and Thunderbird3 documents. Load times have been improved by almost a factor of thirty, a screen layout is used by default (press nvda+v to toggle between this and no screen layout), a links list (nvda+f7 has been added), the find dialog (control+nvda+f) is now case-insensitive, much better support for dynamic content, selecting and copying text is now possible.
- In the MSN Messenger and Windows Live Messenger history windows, it is now possible to select and copy text.
- Improved support for the audacity application
- Added support for a few edit/text controls in Skype
- Improved support for Miranda instant messenger application
- Fixed some focus issues when opening html and plain text messages in Outlook Express. 
- Outlook express newsgroup message fields are now labeled correctly
- NVDA can now read the addresses in the Outlook Express message fields (to/from/cc etc)
- NVDA should be now more accurate at announcing the next message in out look express when deleting a message from the message list.


== APIs and toolkits ==
- Improved object navigation for MSAA objects. If a window has a system menu, title bar, or scroll bars, you can now navigate to them.
- Added support for the IAccessible2 accessibility API. A part from the ability to announce more control types, this also allows NVDA to access the cursor in applications such as Firefox 3 and Thunderbird 3, allowing you to navigate, select or edit text.
- Added support for Scintilla edit controls (such controls can be found in Notepad++ or Tortoise SVN).
- Added support for Java applications (via the Java Access Bridge). This can provide basic support for Open Office (if Java is enabled), and any other stand-alone Java application. Note that java applets with in a web browser may not work yet.


== Mouse ==
- Improved support for reading what is under the mouse pointer as it moves. It is now much faster, and it also now has the ability in some controls such as standard edit fields, Java and IAccessible2 controls, to read the current word, not just the current object. This may be of some used to vision impared people who just want to read a specific bit of text with the mouse.
- Added a new config option, found in the mouse settings dialog. Play audio when mouse moves, when checked, plays a 40 ms beep each time the mouse moves, with its pitch (between 220 and 1760 hz) representing the y axis, and left/right volume, representing the x axis. This enables a blind person to get a rough idea of where the mouse is on the screen as its being moved. This feature also depends on reportObjectUnderMouse also being turned on. So this means that if you quickly need to disable both beeps and announcing of objects, then just press NVDA+m. The beeps are also louder or softer depending on how bright the screen is at that point.


== Object presentation and interaction ==
- Improved support for most common treeview controls. NVDA now tells you how many items are in the branch when you expand it. It also announces the level when moving in and out of branches. And, it announces the current item number and number of items, according to the current branch, not the entire treeview.
- Improved what is announced when focus changes as you move around applications or the operating system. Now instead of just hearing the control you land on, you hear information about any controls this control is positioned inside of. For instance if you tab and land on a button inside a groupbox, the groupbox will also get announced.
- NVDA now tries to speak the message inside many dialog boxes as they appear. This is accurate most of the time, though there are still many dialogs that arn't as good as they could be.
- Added a report object descriptions checkbox to the object presentation settings dialog. Power users may wish to sometimes uncheck this to stop NVDA announcing a lot of extra descriptions on particular controls,  such as in Java applications.
- NVDA automatically announces selected text in edit controls when focus moves to them. If there isn't any selected text, then it just announces the current line like usual.
- NVDA is a lot more careful now when it plays beeps to indicate progress bar changes in applications. It no longer goes crazy in Eclipse applications such as Lotus Notes/Symphony, and Accessibility Probe.


== User Interface ==
- Removed the NVDA interface window, and replaced it with a simple NVDA popup menu.
- NVDA's user interface settings dialog is now called General Settings. It also contains an extra setting: a combo box to set the log level, for what messages should go to NVDA's log file. Note that NVDA's log file is now called nvda.log not debug.log.
- Removed the report object group names checkBox from the object presentation settings dialog, reporting of group names now is handled differently.


= 0.5 =
- NVDA now has a built-in synthesizer called eSpeak, developed by Jonathan Duddington.It is very responsive and lite-weight, and has support for many different languages. Sapi synthesizers can still be used, but eSpeak will be used by default.
 - eSpeak does not depend on any special software to be installed, so it can be used with NVDA on any computer, on a USB thumb drive, or anywhere. 
 - For more info on eSpeak, or to find other versions, go to http://espeak.sourceforge.net/.
- Fix bug where the wrong character was being announced when pressing delete in Internet Explorer / Outlook Express editable panes.
- Added support for more edit fields in Skype.
- VirtualBuffers only get loaded when focus is on the window that needs to be loaded. This fixes some problems when the preview pane is turned on in Outlook Express.
- Added commandline arguments to NVDA:
 - -m, --minimal: do not play startup/exit sounds and do not show the interface on startup if set to do so.
 - -q, --quit: quit any other already running instance of NVDA and then exit
 - -s, --stderr-file fileName: specify where NVDA should place uncaught errors and exceptions
 - -d, --debug-file fileName: specify where NVDA should place debug messages
 - -c, --config-file: specify an alternative configuration file  
 - -h, -help: show a help message listing commandline arguments
- Fixed bug where punctuation symbols would not be translated to the appropriate language, when using a language other than english, and when speak typed characters was turned on.
- Added Slovak language files thanks to Peter Vagner 
- Added a Virtual Buffer settings dialog and a Document Formatting settings dialog, from Peter Vagner.
- Added French translation thanks to Michel Such 
- Added a script to toggle beeping of progress bars on and off (insert+u). Contributed by Peter Vagner.
- Made more messages in NVDA be translatable for other languages. This includes script descriptions when in keyboard help.
- Added a find dialog to the virtualBuffers (internet Explorer and Firefox). Pressing control+f when on a page brings up a dialog in which you can type some text to find. Pressing enter will then search for this text and place the virtualBuffer cursor on this line. Pressing f3 will also search for the next occurance of the text.
- When speak typed characters is turned on, more characters should be now spoken. Technically, now ascii characters from 32 to 255 can now be spoken.
- Renamed some control types for better readability. Editable text is now edit, outline is now tree view and push button is now button.
- When arrowing around list items in a list, or tree view items in a tree view, the control type (list item, tree view item) is no longer spoken, to speed up navigation.
- Has Popup (to indicate that a menu has a submenu) is now spoken as submenu.
- Where some language use control and alt (or altGR) to enter a special character, NVDA now will speak these characters when speak typed characters is on.
- Fixed some problems with reviewing static text controls.
- Added Translation for Traditional Chinese, thanks to Coscell Kao.
- Re-structured an important part of the NVDA code, which should now fix many issues with NVDA's user interface (including settings dialogs).
- Added Sapi4 support to NVDA. Currently there are two sapi4 drivers, one based on code contributed by Serotek Corporation, and one using the ActiveVoice.ActiveVoice com Interface. Both these drivers have issues, see which one works best for you.
- Now when trying to run a new copy of NVDA while an older copy is still running will cause the new copy to just exit. This fixes a major problem where running multiple copies of NVDA makes your system very unusable.
- Renamed the title of the NVDA user interface from NVDA Interface to NVDA. 
- Fixed a bug in Outlook Express where pressing backspace at the start of an editable message would cause an error.
- Added patch from Rui Batista that adds a script to report the current battery status on laptops (insert+shift+b).
- Added a synth driver called Silence. This is a synth driver that does not speak anything, allowing NVDA to stay completely silent at all times. Eventually this could be used along with Braille support, when we have it.
- Added capitalPitchChange setting for synthesizers thanks to J.J. Meddaugh
- Added patch from J.J. Meddaugh that makes the toggle report objects under mouse script more like the other toggle scripts (saying on/off rather than changing the whole statement).
- Added spanish translation (es) contributed by Juan C. buo.
- Added Hungarian language file from Tamas Gczy.
- Added Portuguese language file from Rui Batista.
- Changing the voice in the voice settings dialog now sets the rate, pitch and volume sliders to the new values according to the synthesizer, rather than forcing the synthesizer to be set to the old values. This fixes issues where a synth like eloquence or viavoice seems to speek at a much faster rate than all other synths.
- Fixed a bug where either speech would stop, or NVDA would entirely crash, when in a Dos console window.
- If support for a particular language exists, NVDA now automatically can show its interface and speak its messages in the language Windows is set to. A particular language can still be chosen manualy from the user interface settings dialog as well.
- Added script 'toggleReportDynamicContentChanges' (insert+5). This toggles whether new text, or other dynamic changes should be automatically announced. So far this only works in Dos Console Windows.
- Added script 'toggleCaretMovesReviewCursor' (insert+6). This toggles whether the review cursor should be automatically repositioned when the system caret moves. This is useful in Dos console windows when trying to read information as the screen is updating.
- Added script 'toggleFocusMovesNavigatorObject' (insert+7). This toggles whether the navigator object is repositioned on the object with focus as it changes.
- Added some documentation translated in to various languages. So far there is French, Spannish and Finish.
- Removed some developer documentation from the binary distribution of NVDA, it is only now in the source version.
- Fixed a possible bug in Windows Live Messanger and MSN Messenger where arrowing up and down the contact list would cause errors.
- New messages are now automatically spoken when in a conversation using Windows Live Messenger. (only works for English versions so far)
- The history window in a Windows Live Messenger conversation can now be read by using the arrow keys. (Only works for English versions so far) 
- Added script 'passNextKeyThrough' (insert+f2). Press this key, and then the next key pressed will be passed straight through to Windows. This is useful if you have to press a certain key in an application but NVDA uses that key for something else.
- NVDA no longer freezes up for more than a minute when opening very large documents in MS Word.
- Fixed a bug where moving out of a table in MS Word, and then moving back in, caused the current row/column numbers not to be spoken if moving back in to exactly the same cell.
- When starting NVDA with a synthesizer that doesn't exist, or is not working, the sapi5 synth will try and be loaded in stead, or if sapi5 isn't working, then speech will be set to silence.
- Increasing and decreasing rate scripts can no longer take the rate above 100 or below 0.
- If there is an error with a language when choosing it in the User Interface Settings dialog, a message box will alert the user to the fact.
- NVDA now asks if it should save configuration and restart if the user has just changed the language in the User Interface Settings Dialog. NVDA must be restarted for the language change to fully take effect.
- If a synthesizer can not be loaded, when choosing it from the synthesizer dialog, a message box alerts the user to the fact.
- When loading a synthesizer for the first time, NVDA lets the synthesizer choose the most suitable voice, rate and pitch parameters, rather than forcing it to defaults it thinks are ok. This fixes a problem where Eloquence and Viavoice sapi4 synths start speaking way too fast for the first time.

